package gov.va.med.ccht.model.car;

import java.io.Serializable;
import java.util.*;


public class DrillDownData implements Serializable {

	private static final long serialVersionUID = -3109932175171256465L;
	
	private List<CensusActivityModalityRecord> censusActivityModalityRecords = null;
	private List<CensusActivityVisnRecord> censusActivityVisnRecords = null;
	public List<CensusActivityModalityRecord> getCensusActivityModalityRecords() {
		return censusActivityModalityRecords;
	}
	public void setCensusActivityModalityRecords(
			List<CensusActivityModalityRecord> censusActivityModalityRecords) {
		this.censusActivityModalityRecords = censusActivityModalityRecords;
	}
	public List<CensusActivityVisnRecord> getCensusActivityVisnRecords() {
		return censusActivityVisnRecords;
	}
	public void setCensusActivityVisnRecords(
			List<CensusActivityVisnRecord> censusActivityVisnRecords) {
		this.censusActivityVisnRecords = censusActivityVisnRecords;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime
				* result
				+ ((censusActivityModalityRecords == null) ? 0
						: censusActivityModalityRecords.hashCode());
		result = prime
				* result
				+ ((censusActivityVisnRecords == null) ? 0
						: censusActivityVisnRecords.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		DrillDownData other = (DrillDownData) obj;
		if (censusActivityModalityRecords == null) {
			if (other.censusActivityModalityRecords != null)
				return false;
		} else if (!censusActivityModalityRecords
				.equals(other.censusActivityModalityRecords))
			return false;
		if (censusActivityVisnRecords == null) {
			if (other.censusActivityVisnRecords != null)
				return false;
		} else if (!censusActivityVisnRecords
				.equals(other.censusActivityVisnRecords))
			return false;
		return true;
	}
	@Override
	public String toString() {
		return "DrillDownData [censusActivityModalityRecords="
				+ censusActivityModalityRecords
				+ ", censusActivityVisnRecords=" + censusActivityVisnRecords
				+ "]";
	}

	
}
