package gov.va.med.ccht.model.coc;

import java.io.Serializable;

public class CategoryOfCareRecord implements Serializable
{
    private static final long serialVersionUID = -5730561371681587809L;
    private String vendorName;
    private Integer id;
    private String categoryName;
    private Integer numResults;

    public String getVendorName()
    {
	return vendorName;
    }

    public void setVendorName(String vendorName)
    {
	this.vendorName = vendorName;
    }

    public Integer getId()
    {
	return id;
    }

    public void setId(Integer id)
    {
	this.id = id;
    }

    public String getCategoryName()
    {
	return categoryName;
    }

    public void setCategoryName(String categoryName)
    {
	this.categoryName = categoryName;
    }

    public Integer getNumResults()
    {
	return numResults;
    }

    public void setNumResults(Integer numResults)
    {
	this.numResults = numResults;
    }

    @Override
    public int hashCode()
    {
	final int prime = 31;
	int result = 1;
	result = prime * result + ((categoryName == null) ? 0 : categoryName.hashCode());
	result = prime * result + ((id == null) ? 0 : id.hashCode());
	result = prime * result + ((numResults == null) ? 0 : numResults.hashCode());
	result = prime * result + ((vendorName == null) ? 0 : vendorName.hashCode());
	return result;
    }

    @Override
    public boolean equals(Object obj)
    {
	if (this == obj) return true;
	if (obj == null) return false;
	if (getClass() != obj.getClass()) return false;
	CategoryOfCareRecord other = (CategoryOfCareRecord) obj;
	if (categoryName == null)
	{
	    if (other.categoryName != null) return false;
	}
	else if (!categoryName.equals(other.categoryName)) return false;
	if (id == null)
	{
	    if (other.id != null) return false;
	}
	else if (!id.equals(other.id)) return false;
	if (numResults == null)
	{
	    if (other.numResults != null) return false;
	}
	else if (!numResults.equals(other.numResults)) return false;
	if (vendorName == null)
	{
	    if (other.vendorName != null) return false;
	}
	else if (!vendorName.equals(other.vendorName)) return false;
	return true;
    }

    @Override
    public String toString()
    {
	return "CategoryOfCareResult [categoryName=" + categoryName + ", id=" + id + ", numResults=" + numResults
		+ ", vendorName=" + vendorName + "]";
    }

}
