package gov.va.med.ccht.model.dmpreport;

import java.io.Serializable;
import java.util.Date;

public class DmpReportEntry implements Serializable {
	private static final long serialVersionUID = 4822547703611462818L;
	
	private String lastName;
	private String firstName;
	private String dmp;
	private String visn;
	private String facility;
	private String facilityStationNumber;
	private Integer facilityId;
	private String vendor;
	private Integer vendorId;
	private String vendorNumber;
	private boolean allFacilities;
	private boolean allVisns;
	private boolean allVendors;
	
	public boolean isAllVendors() {
		return allVendors;
	}
	public void setAllVendors(boolean allVendors) {
		this.allVendors = allVendors;
	}
	private Date startDate;
	private Date endDate;
	private int numberOfPatients;
	private String visnName;
	private String reportType;
	
	public DmpReportEntry(){
		super();
	}
	public DmpReportEntry(String lastName, String firstName, String dmp, String visn, String facility, String vendor)
	{
		this.lastName=lastName;
		this.firstName=firstName;
		this.dmp=dmp;
		this.facility=facility;
		this.visn=visn;
		this.vendor=vendor;
	}
	public String getLastName() {
		return lastName;
	}
	public void setLastName(String lastName) {
		this.lastName = lastName;
	}
	public String getFirstName() {
		return firstName;
	}
	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}
	public String getDmp() {
		return dmp;
	}
	public void setDmp(String dmp) {
		this.dmp = dmp;
	}
	public String getVisn() {
		return visn;
	}
	public void setVisn(String visn) {
		this.visn = visn;
	}
	public String getFacility() {
		return facility;
	}
	public void setFacility(String facility) {
		this.facility = facility;
	}
	public String getVendor() {
		return vendor;
	}
	public void setVendor(String vendor) {
		this.vendor = vendor;
	}
	
	public Date getStartDate() {
		return startDate;
	}
	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}
	public Date getEndDate() {
		return endDate;
	}
	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}
	public int getNumberOfPatients() {
		return numberOfPatients;
	}
	public void setNumberOfPatients(int numberOfPatients) {
		this.numberOfPatients = numberOfPatients;
	}
	public String getVisnName() {
		return visnName;
	}
	public void setVisnName(String visnName) {
		this.visnName = visnName;
	}
	public String getReportType() {
		return reportType;
	}
	public void setReportType(String reportType) {
		this.reportType = reportType;
	}
	public Integer getFacilityId() {
		return facilityId;
	}
	public void setFacilityId(Integer facilityId) {
		this.facilityId = facilityId;
	}
	public Integer getVendorId() {
		return vendorId;
	}
	public void setVendorId(Integer vendorId) {
		this.vendorId = vendorId;
	}
	public String getFacilityStationNumber() {
		return facilityStationNumber;
	}
	public void setFacilityStationNumber(String facilityStationNumber) {
		this.facilityStationNumber = facilityStationNumber;
	}
	public boolean isAllFacilities() {
		return allFacilities;
	}
	public void setAllFacilities(boolean allFacilities) {
		this.allFacilities = allFacilities;
	}
	public boolean isAllVisns() {
		return allVisns;
	}
	public void setAllVisns(boolean allVisns) {
		this.allVisns = allVisns;
	}
	public String getVendorNumber() {
		return vendorNumber;
	}
	public void setVendorNumber(String vendorNumber) {
		this.vendorNumber = vendorNumber;
	}
	
	
	
	}
