/**
 * 
 */
package gov.va.med.ccht.model.inventory;

import java.util.Date;

import gov.va.med.fw.model.AbstractKeyedEntity;

/**
 * @author DNS   katikm
 *
 */
public class DeviceRequirement extends AbstractKeyedEntity<Object> {

	private static final long serialVersionUID = -6426212803371388779L;
	
	private SimpleFacility facility = null;
	private DeviceType deviceType = null;
	private Integer devicesOnHand = 0;
	private Integer devicesNeeded = 0;
	private Date assessmentDate = null;
		
	public SimpleFacility getFacility() {
		return facility;
	}
	public void setFacility(SimpleFacility facility) {
		this.facility = facility;
	}
	public DeviceType getDeviceType() {
		return deviceType;
	}
	public void setDeviceType(DeviceType deviceType) {
		this.deviceType = deviceType;
	}
	public Integer getDevicesOnHand() {
		return devicesOnHand;
	}
	public void setDevicesOnHand(Integer devicesOnHand) {
		this.devicesOnHand = devicesOnHand;
	}
	public Integer getDevicesNeeded() {
		return devicesNeeded;
	}
	public void setDevicesNeeded(Integer devicesNeeded) {
		this.devicesNeeded = devicesNeeded;
	}
	public Date getAssessmentDate() {
		return assessmentDate;
	}
	public void setAssessmentDate(Date assessmentDate) {
		this.assessmentDate = assessmentDate;
	}
}
