package gov.va.med.ccht.model.qir;


/**
 * This class contains Arcro field names for the VA0729 Form
 * @author DNS   leh
 */
public interface QIRForm {
	
	public static final String ORIG_NAME = "orig_name";
	public static final String MODEL_NO = "model_no";
	public static final String QUALITY_COMPLAINT = "F[0].Page_1[0].Field8[0]";
	public static final String NEW_ITEM = "F[0].Page_1[0].Field9[0]";
	public static final String SIMILAR_ITEM = "F[0].Page_1[0].Fierld10[0]";
	public static final String CAUSE_OF_COMPLAINT = "cause_complaint";
	public static final String VENDOR = "vendor";
	public static final String MM_DD_YYYY = "mm/dd/yyyy";
	public static final String VENDOR_ACTION = "vendor_action";
	public static final String ORIG_ROLE = "orig_role";
	public static final String SERIAL_NO = "serial_no";
	public static final String CONTRACT_NO = "contract_no";
	public static final String ORIG_VISN = "orig_visn";
	public static final String ATTACHMENT = "attachment";
	public static final String ORIG_FACILITY = "orig_facility";
	public static final String REC_REMARKS = "rec_remarks";
	public static final String TN = "tn";
	public static final int TEXT_OVERFLOW_LIMIT = 1500;
}