/********************************************************************
 * Copyright � 2010 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.ccht.service.common;

import java.io.Serializable;
import gov.va.med.fw.security.Role;
import gov.va.med.fw.service.ServiceException;

import gov.va.med.ccht.model.User;
import gov.va.med.ccht.model.inventory.DeviceDetail;
import gov.va.med.ccht.model.qir.QIR;


/**
 * @author DNS   katikm
 * 
 */
public interface MergeService extends Serializable {
	public User mergeUser(User incoming, User onFile) throws ServiceException;
	public Role mergeRole(Role incoming, Role onFile) throws ServiceException;
	public DeviceDetail mergeDeviceDetail(DeviceDetail incoming, DeviceDetail onFile) throws ServiceException;
	public QIR mergeQIR(QIR incoming, QIR onFile) throws ServiceException;
}

