// Package 
package gov.va.med.ccht.service.report;

// Java Classes
import java.io.Serializable;
import java.util.Date;
import java.util.List;

import org.apache.commons.lang.builder.ToStringBuilder;

/**
 * 
 * @author DNS   katikm
 *
 */
public class CompletedReportsSearchQueryInfo extends ReportFilterSearchQueryInfo implements Serializable {
	private String reportParameters = null;
	private Date inactivatedDate = null;
	private ReportStatus reportStatus = null;
	private List<String> reportIds = null;
	private static final long serialVersionUID = -8074807667874525804L;

	public String getReportParameters() {
		return reportParameters;
	}

	public void setReportParameters(String reportParameters) {
		this.reportParameters = reportParameters;
	}

	/**
	 * @see gov.va.med.fw.model.AbstractEntity#buildToString(org.apache.commons.lang.builder.ToStringBuilder)
	 */
	protected void buildToString(ToStringBuilder builder) {
		super.buildToString(builder);
		builder.append("reportParameters", getReportParameters());
	}

	public Date getInactivatedDate() {
		return inactivatedDate;
	}

	public void setInactivatedDate(Date archivedDate) {
		this.inactivatedDate = archivedDate;
	}

	public ReportStatus getReportStatus() {
		return reportStatus;
	}

	public void setReportStatus(ReportStatus reportStatus) {
		this.reportStatus = reportStatus;
	}

	public List<String> getReportIds() {
		return reportIds;
	}

	public void setReportIds(List<String> reportIds) {
		this.reportIds = reportIds;
	}
}
