/********************************************************************
 * Copyright � 2010 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.ccht.service.report;

import java.text.ParseException;

import gov.va.med.fw.service.ServiceException;

import gov.va.med.ccht.model.report.ReportSetup;
import gov.va.med.ccht.model.report.ScheduledReport;

/**
 * Converts Report and Schedule parameters to text and from text
 * 
 * IHTA IHTA_common Sep 17, 2010
 * 
 * @author DNS   katikm
 */
public interface ReportParameterConversionService extends ScheduleConversionService {
	public void convertToText(ReportSetup reportSetup) throws ServiceException;
	public void convertFromText(ReportSetup reportSetup) throws ServiceException, ParseException;
	public void convertToText(ScheduledReport scheduledReport) throws ServiceException;
	public void convertFromText(ScheduledReport scheduledReport) throws ServiceException, ParseException;
}
