
package gov.va.med.cds.ars;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the gov.va.med.cds.ars package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Report_QNAME = new QName("Report", "report");
    private final static QName _IsAliveResponse_QNAME = new QName("http://ars.cds.med.DNS   /", "isAliveResponse");
    private final static QName _ReadAggregateDataResponse_QNAME = new QName("http://ars.cds.med.DNS   /", "readAggregateDataResponse");
    private final static QName _ReadAggregateData_QNAME = new QName("http://ars.cds.med.DNS   /", "readAggregateData");
    private final static QName _IsAlive_QNAME = new QName("http://ars.cds.med.DNS   /", "isAlive");
    private final static QName _HtReportFilter_QNAME = new QName("HTReportFilter", "htReportFilter");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: gov.va.med.cds.ars
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link PSReportFilterType }
     * 
     */
    public PSReportFilterType createPSReportFilterType() {
        return new PSReportFilterType();
    }

    /**
     * Create an instance of {@link HTResponseType }
     * 
     */
    public HTResponseType createHTResponseType() {
        return new HTResponseType();
    }

    /**
     * Create an instance of {@link LocationReportDataType }
     * 
     */
    public LocationReportDataType createLocationReportDataType() {
        return new LocationReportDataType();
    }

    /**
     * Create an instance of {@link PSReportFilterBaseType }
     * 
     */
    public PSReportFilterBaseType createPSReportFilterBaseType() {
        return new PSReportFilterBaseType();
    }

    /**
     * Create an instance of {@link DistributionReportFilterType }
     * 
     */
    public DistributionReportFilterType createDistributionReportFilterType() {
        return new DistributionReportFilterType();
    }

    /**
     * Create an instance of {@link NationalDistributionReportDataType }
     * 
     */
    public NationalDistributionReportDataType createNationalDistributionReportDataType() {
        return new NationalDistributionReportDataType();
    }

    /**
     * Create an instance of {@link PSReportFilterType.ReportQuestions }
     * 
     */
    public PSReportFilterType.ReportQuestions createPSReportFilterTypeReportQuestions() {
        return new PSReportFilterType.ReportQuestions();
    }

    /**
     * Create an instance of {@link DMPUniqueICNReportFilterType }
     * 
     */
    public DMPUniqueICNReportFilterType createDMPUniqueICNReportFilterType() {
        return new DMPUniqueICNReportFilterType();
    }

    /**
     * Create an instance of {@link VR12LocationReportDataType }
     * 
     */
    public VR12LocationReportDataType createVR12LocationReportDataType() {
        return new VR12LocationReportDataType();
    }

    /**
     * Create an instance of {@link VR12ReportDataType }
     * 
     */
    public VR12ReportDataType createVR12ReportDataType() {
        return new VR12ReportDataType();
    }

    /**
     * Create an instance of {@link ReportDateFilterType }
     * 
     */
    public ReportDateFilterType createReportDateFilterType() {
        return new ReportDateFilterType();
    }

    /**
     * Create an instance of {@link ReportGeographicalAreaType }
     * 
     */
    public ReportGeographicalAreaType createReportGeographicalAreaType() {
        return new ReportGeographicalAreaType();
    }

    /**
     * Create an instance of {@link DMPTitleType }
     * 
     */
    public DMPTitleType createDMPTitleType() {
        return new DMPTitleType();
    }

    /**
     * Create an instance of {@link VR12ReportFilterType }
     * 
     */
    public VR12ReportFilterType createVR12ReportFilterType() {
        return new VR12ReportFilterType();
    }

    /**
     * Create an instance of {@link TrendReportDataType }
     * 
     */
    public TrendReportDataType createTrendReportDataType() {
        return new TrendReportDataType();
    }

    /**
     * Create an instance of {@link HTBaseReportType }
     * 
     */
    public HTBaseReportType createHTBaseReportType() {
        return new HTBaseReportType();
    }

    /**
     * Create an instance of {@link HTBaseReportFilterType }
     * 
     */
    public HTBaseReportFilterType createHTBaseReportFilterType() {
        return new HTBaseReportFilterType();
    }

    /**
     * Create an instance of {@link NationalDistributionReportBaseType }
     * 
     */
    public NationalDistributionReportBaseType createNationalDistributionReportBaseType() {
        return new NationalDistributionReportBaseType();
    }

    /**
     * Create an instance of {@link PSLocationReportDataType }
     * 
     */
    public PSLocationReportDataType createPSLocationReportDataType() {
        return new PSLocationReportDataType();
    }

    /**
     * Create an instance of {@link IsAliveResponse }
     * 
     */
    public IsAliveResponse createIsAliveResponse() {
        return new IsAliveResponse();
    }

    /**
     * Create an instance of {@link PSReportDataType }
     * 
     */
    public PSReportDataType createPSReportDataType() {
        return new PSReportDataType();
    }

    /**
     * Create an instance of {@link ReadAggregateDataResponse }
     * 
     */
    public ReadAggregateDataResponse createReadAggregateDataResponse() {
        return new ReadAggregateDataResponse();
    }

    /**
     * Create an instance of {@link DMPBaseGeographicalAreaDateReportFilterType }
     * 
     */
    public DMPBaseGeographicalAreaDateReportFilterType createDMPBaseGeographicalAreaDateReportFilterType() {
        return new DMPBaseGeographicalAreaDateReportFilterType();
    }

    /**
     * Create an instance of {@link ErrorType }
     * 
     */
    public ErrorType createErrorType() {
        return new ErrorType();
    }

    /**
     * Create an instance of {@link IsAlive }
     * 
     */
    public IsAlive createIsAlive() {
        return new IsAlive();
    }

    /**
     * Create an instance of {@link DistributionReportBaseType }
     * 
     */
    public DistributionReportBaseType createDistributionReportBaseType() {
        return new DistributionReportBaseType();
    }

    /**
     * Create an instance of {@link DMPUniqueICNReportDataType }
     * 
     */
    public DMPUniqueICNReportDataType createDMPUniqueICNReportDataType() {
        return new DMPUniqueICNReportDataType();
    }

    /**
     * Create an instance of {@link HTReportFilterType }
     * 
     */
    public HTReportFilterType createHTReportFilterType() {
        return new HTReportFilterType();
    }

    /**
     * Create an instance of {@link DMPTitleReportDataType.DmpTitles }
     * 
     */
    public DMPTitleReportDataType.DmpTitles createDMPTitleReportDataTypeDmpTitles() {
        return new DMPTitleReportDataType.DmpTitles();
    }

    /**
     * Create an instance of {@link NationalDistributionLocationReportDataType }
     * 
     */
    public NationalDistributionLocationReportDataType createNationalDistributionLocationReportDataType() {
        return new NationalDistributionLocationReportDataType();
    }

    /**
     * Create an instance of {@link TrendReportFilterType }
     * 
     */
    public TrendReportFilterType createTrendReportFilterType() {
        return new TrendReportFilterType();
    }

    /**
     * Create an instance of {@link PSReportBaseType }
     * 
     */
    public PSReportBaseType createPSReportBaseType() {
        return new PSReportBaseType();
    }

    /**
     * Create an instance of {@link DMPTitleBaseReportType }
     * 
     */
    public DMPTitleBaseReportType createDMPTitleBaseReportType() {
        return new DMPTitleBaseReportType();
    }

    /**
     * Create an instance of {@link TrendReportBaseType }
     * 
     */
    public TrendReportBaseType createTrendReportBaseType() {
        return new TrendReportBaseType();
    }

    /**
     * Create an instance of {@link DistributionLocationReportDataType }
     * 
     */
    public DistributionLocationReportDataType createDistributionLocationReportDataType() {
        return new DistributionLocationReportDataType();
    }

    /**
     * Create an instance of {@link ReportGeographicalAreaDateFilterType }
     * 
     */
    public ReportGeographicalAreaDateFilterType createReportGeographicalAreaDateFilterType() {
        return new ReportGeographicalAreaDateFilterType();
    }

    /**
     * Create an instance of {@link DMPTitleBaseType }
     * 
     */
    public DMPTitleBaseType createDMPTitleBaseType() {
        return new DMPTitleBaseType();
    }

    /**
     * Create an instance of {@link PsSurveyQuestionType }
     * 
     */
    public PsSurveyQuestionType createPsSurveyQuestionType() {
        return new PsSurveyQuestionType();
    }

    /**
     * Create an instance of {@link ErrorSectionType }
     * 
     */
    public ErrorSectionType createErrorSectionType() {
        return new ErrorSectionType();
    }

    /**
     * Create an instance of {@link ReadAggregateData }
     * 
     */
    public ReadAggregateData createReadAggregateData() {
        return new ReadAggregateData();
    }

    /**
     * Create an instance of {@link HTBaseGeographicalAreaReportFilterType }
     * 
     */
    public HTBaseGeographicalAreaReportFilterType createHTBaseGeographicalAreaReportFilterType() {
        return new HTBaseGeographicalAreaReportFilterType();
    }

    /**
     * Create an instance of {@link ReportFilterType }
     * 
     */
    public ReportFilterType createReportFilterType() {
        return new ReportFilterType();
    }

    /**
     * Create an instance of {@link NationalDistributionReportFilterType }
     * 
     */
    public NationalDistributionReportFilterType createNationalDistributionReportFilterType() {
        return new NationalDistributionReportFilterType();
    }

    /**
     * Create an instance of {@link DMPTitleReportFilterType }
     * 
     */
    public DMPTitleReportFilterType createDMPTitleReportFilterType() {
        return new DMPTitleReportFilterType();
    }

    /**
     * Create an instance of {@link DistributionReportDataType }
     * 
     */
    public DistributionReportDataType createDistributionReportDataType() {
        return new DistributionReportDataType();
    }

    /**
     * Create an instance of {@link GeographicalAreaType }
     * 
     */
    public GeographicalAreaType createGeographicalAreaType() {
        return new GeographicalAreaType();
    }

    /**
     * Create an instance of {@link DMPUniqueICNBaseType }
     * 
     */
    public DMPUniqueICNBaseType createDMPUniqueICNBaseType() {
        return new DMPUniqueICNBaseType();
    }

    /**
     * Create an instance of {@link HTBaseGeographicalAreaDateReportFilterType }
     * 
     */
    public HTBaseGeographicalAreaDateReportFilterType createHTBaseGeographicalAreaDateReportFilterType() {
        return new HTBaseGeographicalAreaDateReportFilterType();
    }

    /**
     * Create an instance of {@link VR12ReportBaseType }
     * 
     */
    public VR12ReportBaseType createVR12ReportBaseType() {
        return new VR12ReportBaseType();
    }

    /**
     * Create an instance of {@link DMPTitleReportDataType }
     * 
     */
    public DMPTitleReportDataType createDMPTitleReportDataType() {
        return new DMPTitleReportDataType();
    }

    /**
     * Create an instance of {@link HTReportType }
     * 
     */
    public HTReportType createHTReportType() {
        return new HTReportType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link HTReportType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "Report", name = "report")
    public JAXBElement<HTReportType> createReport(HTReportType value) {
        return new JAXBElement<HTReportType>(_Report_QNAME, HTReportType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IsAliveResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ars.cds.med.DNS   /", name = "isAliveResponse")
    public JAXBElement<IsAliveResponse> createIsAliveResponse(IsAliveResponse value) {
        return new JAXBElement<IsAliveResponse>(_IsAliveResponse_QNAME, IsAliveResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ReadAggregateDataResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ars.cds.med.DNS   /", name = "readAggregateDataResponse")
    public JAXBElement<ReadAggregateDataResponse> createReadAggregateDataResponse(ReadAggregateDataResponse value) {
        return new JAXBElement<ReadAggregateDataResponse>(_ReadAggregateDataResponse_QNAME, ReadAggregateDataResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ReadAggregateData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ars.cds.med.DNS   /", name = "readAggregateData")
    public JAXBElement<ReadAggregateData> createReadAggregateData(ReadAggregateData value) {
        return new JAXBElement<ReadAggregateData>(_ReadAggregateData_QNAME, ReadAggregateData.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IsAlive }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ars.cds.med.DNS   /", name = "isAlive")
    public JAXBElement<IsAlive> createIsAlive(IsAlive value) {
        return new JAXBElement<IsAlive>(_IsAlive_QNAME, IsAlive.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link HTReportFilterType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "HTReportFilter", name = "htReportFilter")
    public JAXBElement<HTReportFilterType> createHtReportFilter(HTReportFilterType value) {
        return new JAXBElement<HTReportFilterType>(_HtReportFilter_QNAME, HTReportFilterType.class, null, value);
    }

	public CensusWeeklyVendorReportStatusFilterType createCensusWeeklyVendorReportStatusFilterType() {
		return new CensusWeeklyVendorReportStatusFilterType();
	}

}
