function validateForm() {
	var errors = new Array()
	var dmpIssueDropDown = $("#isDmpIssueDropDown").val();
	var dmpIssueTypeDropDown = $("#dmpQirTypeDropDown").val();
	var complaintArea = $.trim($("#complaintArea").val());
	var vendorActions = $.trim($("#vendorActions").val()); 


	if(dmpIssueDropDown == 'S') {
		errors.push({ field : 'name', message : 'Please select DMP Issue.' })
	}
	
	if(dmpIssueDropDown == 'Y') {
	
		if(dmpIssueTypeDropDown == -1) {
			errors.push({ field : 'name', message : 'Please select DMP Issue Type.' })
		}
	}
	
	if(!isVendor && complaintArea == '') {
		errors.push({ field : 'name', message : 'Cause of Complaint is required.' })
	}
	
	if(isVendor && vendorActions =='') {
		errors.push({ field : 'name', message : 'Vendor Actions is required.' })	
	}
	if (errors.length > 0) {
		showErrors(errors)
		forceFocusOnErrorMessage()
		return false
	}
	forceFocusOnErrorMessage()
	return true	
}

	function forceFocusOnErrorMessage() {		
		if($('#errorsWrapper').is(':visible')){	
			$('#errorsWrapper span:first').focus()	
		}

	}