package gov.va.med.ccht.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;

import gov.va.med.ccht.model.dmp.PatientSatSurveyReportParameters;
import gov.va.med.ccht.model.dmpreport.PSSQuestionManager;
import gov.va.med.ccht.model.dmpreport.VRTwelveReportResults;
import gov.va.med.ccht.service.dmpreport.VRTwelveReportService;
import gov.va.med.ccht.ui.common.AbstractController;

@Controller
public class VRTwelveReportController extends AbstractController {

	@Autowired
	private VRTwelveReportService vrTwelveReportService;

	public List<VRTwelveReportResults> getVRTwelveReport(PatientSatSurveyReportParameters reportParams)
			throws Exception {
		return vrTwelveReportService.findVRTwelveReport(reportParams);
	}

	public PSSQuestionManager getQuestionsForReportVersion(Integer version) throws Exception {
		return vrTwelveReportService.getQuestionsForReportVersion(version);
	}

}
