<%@ include file="inc_header.jsp"%>

<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<link rel="stylesheet" href="/ccht/stylesheets/help.css" type="text/css">
<link rel="shortcut icon" href="/ccht/images/ihta_logo.png"	type="image/x-icon" />
<title>IHTA Help</title>
</head>
<body>
<div id="hd">
<table border="0" cellpadding="0" cellspacing="0" width="100%">
	<tr>
		<td align="left" nowrap>
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td align="left"><img src="/ccht/images/ihta_banner_left.jpg"
					alt="Department of Veterans Affairs Integrated Home Telehealth Application"
					style="border: 0px"></td>
				<td align="left" width="100%"><img
					src="/ccht/images/ihta_banner_middle.jpg" alt="" width="100%"
					height="106" style="border: 0px"></td>		 
				<td align="left" nowrap><img
					src="/ccht/images/ihta_banner_right.jpg" alt="" style="border: 0px">
				</td>				
			</tr>
			
		</table>
		</td>
	</tr>
	
</table>

</div>
<div class="sharepoint_header">
	<table align="center"> 
		<tr style="width: 100%;">			
			<td class="PII_TD">	
			Do NOT enter any Personally Identifiable Information (PII) into this system!	
		</tr>
	</table>
</div>

<h1>WELCOME TO THE INTEGRATED HOME TELEHEALTH APPLICATION (IHTA)!</h1>
<p style="font-family: Verdana, sans-serif;"><span
	style="font-family: Verdana, sans-serif;">IHTA was developed to
provide an efficient and cost-effective platform to support and maintain
a projected 160% rise in the census of Home Telehealth patients, to
mitigate risk in the event of a systems failure by a Home Telehealth
vendor (including Chapter 7 insolvency) by enabling continuity of
technology-based patient monitoring and communication capacities, and to
provide information technology support for necessary clinical process
re-engineering that will enhance care, ensure patient safety, and free
clinician time by automating data processes that are currently performed
manually.</span></p>
<p style="font-family: Verdana, sans-serif;">&#160;</p>
<p style="font-family: Verdana, sans-serif;">IIHTA is designed to
provide a flexible, maintainable, and resilient platform for Home
Telehealth business functions. Each business function supported by IHTA
is constructed as an application module of IHTA. Current IHTA modules
include: 1) My Profile, 2) Administration and 3) Manage Quality Improvement Report (QIR) functionality, with On-Line Help specifically tailored for each module.</p>
<p style="font-family: Verdana, sans-serif;">&#160;</p>
<p style="background-color: #edf9f9; border-left-width: 1px; border-left-style: Solid; border-top-width: 1px; border-top-style: Solid; border-right-width: 1px; border-right-style: Solid; border-bottom-width: 1px; border-bottom-style: Solid; padding-left: 4px; padding-right: 4px; padding-top: 4px; padding-bottom: 4px;"><span
	style="background-color: #edf9f9; padding-left: 4px; padding-right: 4px; padding-top: 4px; padding-bottom: 4px;"><span
	style="font-weight: bold; font-family: Verdana, sans-serif"><b>NOTE:</b></span> Access to the IHTA
modules and the functionality within each module is restricted by the
user roles and permissions granted during the user registration process.</span></p>
<br/>
<p style="font-family: Verdana, sans-serif; color: #000000;"><span
	style="font-weight: bold; font-family: Verdana, sans-serif"><b>Click on the links below to
access On-Line Help for IHTA</b></span>:</p>

 <c:if test="${showAdminHelp}">
<p style="font-family: Verdana, sans-serif;">&#160;</p>
<ul type="square">
	<li style="font-weight: bold;">
	<p style="font-family: Verdana, sans-serif;"><a
		href="/help/admin/index.html" target="_blank" alt="will open in new window"> Administration </a></p>
	</li>
</ul>
</c:if> 

<c:if test="${showDmpHelp}">
<p style="font-family: Verdana, sans-serif;">&#160;</p>
<ul type="square">
	<li style="font-weight: bold;">
	<p style="font-family: Verdana, sans-serif;"><a
		href="/help/dmp/index.html" target="_blank" alt="will open in new window">DMP Development Process </a></p>
	</li>
</ul>
</c:if> 

<p style="font-family: Verdana, sans-serif;">&#160;</p>
<ul type="square">
	<li style="font-weight: bold;">
	<p style="font-family: Verdana, sans-serif;"><a
		href="/help/ihta/index.html" target="_blank" alt="will open in new window"> General IHTA </a></p>
	</li>
</ul>

<c:if test="${showReportsHelp}">
<p style="font-family: Verdana, sans-serif;">&#160;</p>
<ul type="square">
	<li style="font-weight: bold;">
	<p style="font-family: Verdana, sans-serif;"><a
		href="/help/reports/index.html" target="_blank" alt="will open in new window">HT Reports </a></p>
	</li>
</ul>
</c:if> 

<c:if test="${showQirHelp}">
<p style="font-family: Verdana, sans-serif;">&#160;</p>
<ul type="square">
	<li style="font-weight: bold;">
	<p style="font-family: Verdana, sans-serif;"><a
		href="/help/qir/index.html" target="_blank" alt="will open in new window"> Manage QIRs </a></p>
	</li>
</ul>
</c:if> 


<p style="font-family: Verdana, sans-serif;">&#160;</p>
<ul type="square">
	<li style="font-weight: bold;">
	<p style="font-family: Verdana, sans-serif;"><a
		href="/help/profile/index.html" target="_blank" alt="will open in new window">My Profile</a></p>
	</li>
</ul>



<%@ include file="inc_countdownTimer.jsp" %>
<!--
<footer>
	<jsp:include page="footer.jsp" />
</footer>
-->
</div>
</body>
</html>
