<%@ include file="inc_header.jsp"%>

<script type="text/javascript">
	skipSpinnerOnAjaxStart = false
	defeatHideAjaxSpinner = false

	$(function() {
		hideSpinner()
		$(document).ajaxStart(function() {
			if (!skipSpinnerOnAjaxStart) {
				showSpinner()
			}
		})
		$(document).ajaxStop(hideSpinner)
		$(document).ajaxError(hideSpinner)
	})

	function hideSpinner() {
		if (!defeatHideAjaxSpinner) {
			$("#spinner").hide()
			$("#spinnerMessage").hide()
			$("#spinner").css('z-index', '1')
		}
	}

	function showSpinner(addlText, showSpinnerUntilPageRefresh) {
		if (showSpinnerUntilPageRefresh) {
			defeatHideAjaxSpinner = true
		}

		var topDomZIndex = $.topZIndex("div")
		$("#spinner").show()
		$("#spinner").css('z-index', topDomZIndex + 1)
		$("#spinnerMessage").toggle($.trim(addlText) != '')
		$("#spinnerMessage p").text($.trim(addlText) != '' ? addlText : '')
		$("#spinnerMessage").css('z-index', topDomZIndex + 2)
	}
</script>

<style>
.spinner {
	position: fixed;
	top: 50%;
	left: 50%;
	margin-left: -50px; /* half width of the spinner gif */
	margin-top: -50px; /* half height of the spinner gif */
	text-align: center;
	z-index: 1;
	overflow: hidden;
	width: 100px; /* width of the spinner gif */
	height: 102px; /*hight of the spinner gif +2px to fix IE8 issue */
}

.spinnerMessage {
	border: 1px solid gray;
	border-radius: 7px;
	background-color: rgba(255, 255, 255, 1);
	position: fixed;
	text-align: center;
	vertical-align: middle;
	top: 50%;
	left: 50%;
	margin-left: -100px; /* half width of the spinner gif */
	margin-top: 0px; /* half height of the spinner gif */
	width: 200px; /* width of the spinner gif */
}

.spinnerMessage p {
	text-align: center;
	position: relative;
	top: 50%;
}
</style>

<div id="spinner" class="spinner" style="display: none">
	<img id="img-spinner" src="images/spinner.gif" alt="Loading" />
</div>
<div id="spinnerMessage" class="spinnerMessage" style="display: none">
	<p></p>
</div>