<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<nav role="menubar">
	<ul class="nav-menu">
		<li class="nav-item">
		    <a href="#">My Profile</a>
		    <div class="sub-nav">
		        <ul class="sub-nav-group">
		            <li><a href="myPreferences.html">My Preferences</a></li>
		        </ul>
		    </div>
		</li>
		
		<c:if test="${showAdministration}">
		<li class="nav-item">
		    <a href="#">Administration</a>
		    <div class="sub-nav">
		        <ul class="sub-nav-group">
		        	<c:if test="${showManageRegistration}">
		            	<li><a href="manageRegistrations.html">Manage Registrations</a></li>
		            </c:if>
		            <c:if test="${showManageUser}">
		            	<li><a href="manageUsersSearch.html">Manage Users</a></li>
		            </c:if>
		            <c:if test="${showManageRoles}">
	            		<li><a href="roleSelect.html">Manage Roles</a></li>
	            	</c:if>
		            <c:if test="${showManageScheduledJobs}">
						<li><a href="manageScheduledJobs.html">Manage Scheduled Jobs</a></li>
					</c:if>
		        </ul>                    
		    </div>
		</li>
		</c:if>

		<c:if test="${showQIR}">
		<li class="nav-item">
		    <a href="#">Manage QIRs</a>
		    <div class="sub-nav">
		        <ul class="sub-nav-group">
		        	<c:if test="${canCreateQIR}">
		            	<li><a href="newQir.html">New</a></li>
		            </c:if>
		            <li><a href="viewMyQirs.html"">View My</a></li>						
		            <li><a href="searchAllQirs.html">Search All</a></li>
		        </ul>
		    </div>
		 </li>
		 </c:if>
		 
		<c:if test="${showHtReports}">
		 <li class="nav-item">
		 	<a href="#">HT Reports</a>
		    <div class="sub-nav">
				<div>
			        <ul class="sub-nav-group">
			            <li><a href="#">DMP Response Reports</a></li>                       
			        </ul>
				</div>
				<div>
			        <ul class="sub-nav-group">
			            <h4>Patient Survey Reports</h4>
						<div>
							<ul class="subsub-nav-group">
								<li><a href="#">Vendor Submission Reports</a></li>
								<li><a href="#">Satisfaction Survey Results</a></li>
								<li><a href="#">Distribution of Surveys</a></li>
								<li><a href="#">Satisfaction Survey Trend Charts</a></li>
							</ul>
						</div>									
			        </ul>
				</div>
				<div>
			        <ul class="sub-nav-group">
			            <h4>Census Reports</h4>
			            <div>
							<ul class="subsub-nav-group">
								<li><a href="#">Census Activity Reports</a></li>
								<li><a href="#">Category of Care Reports</a></li>
								<li><a href="#">Response Rate Reports</a></li>							
							</ul>
						</div>
			        </ul>
				</div>
			</div>		
		</li>
		</c:if>
	</ul>
</nav>