package gov.va.med.ccht.ui.common.command {
	
	public class AppConstants {

		// HT REPORTS
		public static const DMP_REPORTS: String 					= "DMP_REPORTS";
		public static const VR_TWELVE_SURVEY: String 				= "VR_TWELVE_SURVEY";
		public static const SATISFACTION_SURVEY_RESULT: String		= "SATISFACTION_SURVEY_RESULT";
		public static const SURVEY_DISTRIBUTION: String 			= "SURVEY_DISTRIBUTION";
		public static const SATISFACTION_SURVEY_RESULT_CHART: String= "SATISFACTION_SURVEY_RESULT_CHART";
		public static const VENDOR_SUBMISSION_REPORT: String 		= "VENDOR_SUBMISSION_REPORT";
		public static const CENSUS_ACTIVITY_REPORT: String 			= "CENSUS_ACTIVITY_REPORT";
		public static const CATEGORY_OF_CARE_REPORT:String			= "CATEGORY_OF_CARE_REPORT";
		public static const RESPONSE_RATE_REPORT:String				= "RESPONSE_RATE_REPORT";
		// DMP Module
		public static const NEW_DMP: String 						= "NEW_DMP";
		public static const EDIT_DMP: String 						= "EDIT_DMP";
		public static const MY_DMP: String 							= "MY_DMP";
		public static const FIND_REPLACE_DMP: String 				= "FIND_REPLACE_DMP";
		public static const ALL_DMP: String 						= "ALL_DMP";
		public static const DMP_CONTENTS : String					= "DMP_CONTENTS";
		public static const DMP_SL : String							= "DMP_SL";
		public static const ASSIGN_DMP_USERS : String				= "ASSIGN_DMP_USERS";
		public static const VERSION_DMP : String					= "VERSION_DMP";		
		public static const NEW_DMP_USER_ASSIGNMENT : String		= "NEW_DMP_USER_ASSIGNMENT"
		//Admin module
		public static const CCHT_HOME : String 						= "CCHT_HOME";
		public static const CCHT_HELP : String 						= "CCHT_HELP";
		public static const USER_PROFILE : String 					= "USER_PROFILE";
		public static const MANAGE_REGISTRATIONS : String 			= "MANAGE_REGISTRATIONS";
		public static const MANAGE_USERS : String 					= "MANAGE_USERS";
		public static const MANAGE_ROLES : String 					= "MANAGE_ROLES";
		public static const MANAGE_BATCH_JOBS : String 				= "MANAGE_BATCH_JOBS";
		
		//Inventory module
		public static const INVENTORY_REPORTS : String 				= "INVENTORY_REPORTS";
		public static const REPORT_LIST:String						= "REPORT_LIST";
		public static const COMPLETED_INVENTORY_REPORTS : String 	= "COMPLETED_INVENTORY_REPORTS";
		public static const SCHEDULED_INVENTORY_REPORTS : String 	= "SCHEDULED_INVENTORY_REPORTS";
		public static const VIEW_INVENTORY_REPORT : String 			= "VIEW_INVENTORY_REPORT";
		public static const SEARCH_DEVICE : String 					= "SEARCH_DEVICE";
		public static const SEARCH_DEVICE_BY_PATIENT : String 		= "SEARCH_DEVICE_BY_PATIENT";
		public static const SEARCH_DEVICE_BY_NAME_SN : String 		= "SEARCH_DEVICE_BY_NAME_SN";
		public static const SEARCH_DEVICE_BY_ACTIVATION_DATE : String 	= "SEARCH_DEVICE_BY_ACTIVATION_DATE";
		public static const SEARCH_DEVICE_BY_STATUS : String 		= "SEARCH_DEVICE_BY_STATUS";
		public static const MANAGE_DEVICE_NEW : String 				= "MANAGE_DEVICE_NEW";
		public static const MANAGE_DEVICE_STATUS : String 			= "MANAGE_DEVICE_STATUS";
		public static const MANAGE_DEVICE_SHORTAGE : String 		= "MANAGE_DEVICE_SHORTAGE";
		public static const MANAGE_QIR_NEW: String 					= "MANAGE_QIR_NEW";
		public static const MANAGE_QIR_OPEN: String 				= "MANAGE_QIR_OPEN";
		public static const MY_QIR_LIST:String						= "MY_QIR_LIST";
		public static const ALL_QIR_LIST:String 					= "ALL_QIR_LIST";
		public static const MANAGE_QIR_SEARCH: String 				= "MANAGE_QIR_SEARCH";
		
		// DMP
		
		public static const VENDOR_COMPLIANCE_CURRENT : String 		= "VENDOR_COMPLIANCE_CURRENT";
		public static const VENDOR_COMPLIANCE_CHARTS : String 		= "VENDOR_COMPLIANCE_CHARTS";
		public static const VENDOR_COMPLIANCE_HISTORY : String 		= "VENDOR_COMPLIANCE_HISTORY";

		
		public static const COVER_SHEET : String 					= "COVER_SHEET";		
		public static const APP_ERROR : String 						= "APP_ERROR";
		public static const NETCONNECTION_ERROR : String 			= "NetConnection.Call.Failed";
		
		//Application Resource Bundle Names.
		public static const BUNDLE_COMMON:String 					= "common";
		
		//General constants
		public static const DATE_FORMAT_MMDDYYYY:String 			= "MM/DD/YYYY";
		public static const DATE_FORMAT_DETAIL:String 				= "MMMM D, YYYY";
		
		
		
		public static const LABEL:String 							= "label";
		public static const VALUE:String 							= "value";
		
		public static const ACTIVE:String 							= "Active";
		public static const INACTIVE:String 						= "Inactive";	
		
		//Navaigation Events
		public static const APPROVE_REGISTRATION:String = "APPROVE_REGISTRATION";
		public static const DENY_REGISTRATION:String = "DENY_REGISTRATION";
		public static const EDIT_SCHEDULED_REPORT:String = "EDIT_SCHEDULED_REPORT";
		
		public static const REGISTRATION_STATUS_APPROVED:String = "2";
		public static const REGISTRATION_STATUS_DENIED:String = "3";
		
		public static const POPUP_WINDOW_POSITION_Y:Number 			= 50;
		
		public static const REPORT_SUMMARY_TYPE_NATIONAL:String = "National";
		public static const REPORT_SUMMARY_TYPE_VISN:String = "VISN";
		public static const REPORT_SUMMARY_TYPE_FACILITY:String = "Facility";
		
		public static const FIRST_PAGE:int = 0;
		public static const PREVIOUS_PAGE:int = 1;
		public static const NEXT_PAGE:int = 2;		
		public static const LAST_PAGE:int = 3;

	}
}