/********************************************************************
 * Copyriight 2006 VHA. All rights reserved
 ********************************************************************/

package gov.va.med.fw.batchprocess;

import java.io.Serializable;

import gov.va.med.fw.model.batchprocess.JobResult;

/**
 * Initial javadoc for class JobResultData. TODO - Add content here
 * 
 * Created Oct 2, 2006 3:26:06 PM
 * 
 * @author DNS   BOHMEG
 */
public class JobResultData implements Serializable {
	/**
	 * serialVersionUID long
	 */
	private static final long serialVersionUID = 1840912543636301606L;
	private JobResult jobResult;
	private ProcessStatistics processStatistics;

	public JobResultData(JobResult jobResult, ProcessStatistics processStatistics) {
		this.jobResult = jobResult;
		this.processStatistics = processStatistics;
	}

	/**
	 * @return Returns the jobResult.
	 */
	public JobResult getJobResult() {
		return jobResult;
	}

	/**
	 * @param jobResult
	 *            The jobResult to set.
	 */
	public void setJobResult(JobResult jobResult) {
		this.jobResult = jobResult;
	}

	/**
	 * @return Returns the processStatistics.
	 */
	public ProcessStatistics getProcessStatistics() {
		return processStatistics;
	}

	/**
	 * @param processStatistics
	 *            The processStatistics to set.
	 */
	public void setProcessStatistics(ProcessStatistics processStatistics) {
		this.processStatistics = processStatistics;
	}

}
