/********************************************************************
 * Copyriight 2008 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.fw.model.ldap;

/**
 * Constants file used for LDAP specific strings
 * 
 * CISS ciss_framework Jun 23, 2008
 * 
 * @author DNS   ANDERC
 */
public interface LdapConstants {

	public static final String OBJECT_CLASS = "objectclass";
	public static final String TOP = "top";
	public static final String GROUP = "group";
	public static final String USER = "user";
	public static final String SAM_ACCOUNT_NAME = "sAMAccountName";
	public static final String USER_PRINCIPAL = "userPrincipalName";
	public static final String CN = "cn";
	public static final String OU = "ou";
	public static final String SN = "sn";
	public static final String BASE_BEGIN = "DC=";
	public static final String COMMA = ",";
	public static final String MEMBER = "member";
	public static final String DISTINGUISHED_NAME = "distinguishedName";
	public static final String MEMBER_OF = "memberOf";
	public static final String NAME = "name"; // full name
	public static final String DISPLAY_NAME = "displayName";
	public static final String GIVEN_NAME = "givenName";
	public static final String MIDDLE_NAME = "initials";
	public static final String OU_CISS = "OU=CISS";
	public static final String BAD_PWD_COUNT = "badPwdCount";
	public static final String DEV_GROUPS = "Dev ";
	public static final String TEST_GROUPS = "Test ";
	public static final String GROUPS = "Groups";
	// public static final String DEVELOPMENT = "_DEV";
	// public static final String TEST = "_TEST";
	public static final String OHRS_ROLES = "OHRS Roles";
	public static final String CISS_ROLES = "CISS Roles";
	public static final String TITLE = "title";
	public static final String DESCRIPTION = "description";
	public static final String DEPARTMENT = "department";
	public static final String OFFICE = "physicalDeliveryOfficeName";
	public static final String TELEPHONE_NUMBER = "telephoneNumber";
	public static final String EMAIL = "mail";
}
