package gov.va.med.fw.model.lookup;

// Java Classes

/**
 * @author DNS   LEV
 * 
 */
public abstract class AbstractActiveLookup extends AbstractLookup {

	private static final long serialVersionUID = 2615724442840080057L;

	private boolean active = true;

	/**
	 * Default constructor.
	 */
	protected AbstractActiveLookup() {
		super();
	}

	/**
	 * @return the active
	 */
	public boolean isActive() {
		return active;
	}

	/**
	 * @param active
	 *            the active to set
	 */
	@SuppressWarnings("unused")
	/*
	 * This may be used by a reflection-based persistence tool so I'm
	 * suppressing the warning rather than deleting it CPB
	 */
	public void setActive(boolean active) {
		this.active = active;
	}
}