/********************************************************************
 * Copyriight 2008 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.fw.persistent.ldap;

import java.util.List;

import gov.va.med.fw.model.ldap.LdapPerson;
import gov.va.med.fw.model.ldap.SearchCriteria;

/**
 * Data Access Object interface for LdapPerson.
 * 
 * CISS ciss_framework Jun 23, 2008
 * 
 * @author DNS   ANDERC
 */
public interface LdapPersonDao {
	public LdapPerson findByDistinguishedName(String dn);

	public LdapPerson findBySamAccountName(String sAMAccountName);

	public List findAll();

	public List find(SearchCriteria criteria);

	public boolean authenticate(String userDn, String password);
}
