/********************************************************************
 * Copyriight 2004 VHA. All rights reserved
 ********************************************************************/
// Package
package gov.va.med.fw.report;

import java.io.Serializable;

// Java classes

// Library classes

// Framework classes

// ESR classes

/**
 * 
 * 
 * Project: Framework</br> Created on: 9:38:04 AM </br>
 * 
 * @author DNS   LEV
 */
public interface ReportTemplate extends Serializable {

	/**
	 * Returns a compiled template for a specific report configuration. A
	 * compiled report template should be loaded and validated first before
	 * returning to a caller
	 * 
	 * @return A compiled report template as a generic object
	 */
	public Object getCompiledTemplate(ReportConfiguration config) throws InvalidTemplateException;

	/**
	 * Get Excel report template
	 * 
	 * @param config
	 * @return
	 */
	public Object getExcelTemplate(ReportConfiguration config);

}