/**
 * 
 */
package gov.va.med.fw.report.excelreport;

import java.io.Serializable;

/**
 * @author DNS   katikm
 * 
 */
public class ExcelReportColumn implements Serializable {

	private static final long serialVersionUID = -7609314919370161888L;

	int columnIndex = 0;
	String columnHeader; // Optional column header
	String filedName;
	int fieldNumber = 0;
	String formulae; // fieldName and formulae are exclusive only one can be
	// specified
	Boolean hide; // display or hide the column
	String className;
	String format;
	String stringValue;
	Double numericValue;

	public String getColumnHeader() {
		return columnHeader;
	}

	public void setColumnHeader(String columnHeader) {
		this.columnHeader = columnHeader;
	}

	public int getColumnIndex() {
		return columnIndex;
	}

	public void setColumnIndex(int columnIndex) {
		this.columnIndex = columnIndex;
	}

	public String getFiledName() {
		return filedName;
	}

	public void setFiledName(String filedName) {
		this.filedName = filedName;
	}

	public String getFormulae() {
		return formulae;
	}

	public void setFormulae(String formulae) {
		this.formulae = formulae;
	}

	public Boolean getHide() {
		return hide == null ? true : hide;
	}

	public void setHide(Boolean hide) {
		this.hide = hide;
	}

	public String getClassName() {
		return className;
	}

	public void setClassName(String className) {
		this.className = className;
	}

	public String getFormat() {
		return format;
	}

	public void setFormat(String format) {
		this.format = format;
	}

	public int getFieldNumber() {
		return fieldNumber;
	}

	public void setFieldNumber(int fieldNumber) {
		this.fieldNumber = fieldNumber;
	}

	public Double getNumericValue() {
		return numericValue;
	}

	public void setNumericValue(Double numericValue) {
		this.numericValue = numericValue;
	}

	public String getStringValue() {
		return stringValue;
	}

	public void setStringValue(String stringValue) {
		this.stringValue = stringValue;
	}
}
