/********************************************************************
 * Copyriight 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.fw.rule;

// Java classes
import java.io.Serializable;

// Library classes

// Framework classes

// EDB classes

/**
 * Provides methods to set/get a rule flow name
 * 
 * Project: Framework
 * 
 * @author DNS   LEV
 * @version 1.0
 */
public interface RuleFlowNameAware extends Serializable {

	/**
	 * Returns a rule flow name
	 * 
	 * @return A rule flow name
	 */
	public String getRuleFlowName();

	/**
	 * Sets a rule flow name
	 * 
	 * @param name
	 *            A rule flow name to set
	 */
	public void setRuleFlowName(String name);
}
