package gov.va.med.fw.rule.impl.drools;

import java.io.Serializable;
import java.util.List;

/**
 * Holder to contain the rules and rule flows
 * 
 * @author DNS   katikm
 * 
 */
public class DroolsRulePackage implements Serializable {

	private static final long serialVersionUID = -4406895249152825226L;

	private String packageName;
	private String ruleDSLFileName;
	private List<String> ruleFileNames;
	private List<String> ruleFlowFileNames;

	public String getPackageName() {
		return packageName;
	}

	public void setPackageName(String packageName) {
		this.packageName = packageName;
	}

	public String getRuleDSLFileName() {
		return ruleDSLFileName;
	}

	public void setRuleDSLFileName(String ruleDSLFileName) {
		this.ruleDSLFileName = ruleDSLFileName;
	}

	public List<String> getRuleFileNames() {
		return ruleFileNames;
	}

	public void setRuleFileNames(List<String> ruleFileNames) {
		this.ruleFileNames = ruleFileNames;
	}

	public List<String> getRuleFlowFileNames() {
		return ruleFlowFileNames;
	}

	public void setRuleFlowFileNames(List<String> ruleFlowFileNames) {
		this.ruleFlowFileNames = ruleFlowFileNames;
	}
}
