<%@ include file="inc_header.jsp"%>

<link rel="stylesheet" href="css/newqir.css">

<script src="scripts/newQir.js"></script>

<form:form action="newQir.html" method="post"
	enctype="multipart/form-data">

	<form:errors path="*" cssClass="errorBlock" id="errorBlock"
		element="div" tabIndex="0"></form:errors>

	<div id="instructionsContainer">
		<p tabIndex="0">Please address ONLY ONE VENDOR in ANY (EACH) QIR.</p>
	</div>

	<table>
		<tr valign="top" id="headlineContainer">
			<td align="right" class="fieldLabel"><h4 tabindex="0">Headline:</h4></td>
			<td><h2 class="required">*</h2></td>
			<td><form:textarea id="headlineInput" path="headline" rows="1"
					cols="50" />
				<p id="headlineMessage" style="color: black;"></p></td>
		</tr>
		<tr valign="top" id="assignedFacilityContainer">
			<td align="right" class="fieldLabel"><h4 tabindex="0">Facility:</h4></td>
			<td><h2 class="required">*</h2></td>
			<td><form:select path="selectedFacilityId"
					id="selectedFacilityDropDown">
					<form:option value="-1" label="Select Facility" />
					<form:options items="${command.facilities}" />
				</form:select></td>
		</tr>
		<tr valign="top" id="orderNumberContainer">
			<td align="right" class="fieldLabel"><h4 tabindex="0">Contract
					or Purchase Order Number:</h4></td>
			<td></td>
			<td><form:input type="text" name="orderNumber"
					path="purchaseOrderNumber" /></td>
		</tr>
		<tr valign="top" id="deviceModelContainer">
			<td align="right" class="fieldLabel"><h4 tabindex="0">Device
					Model:</h4></td>
			<td></td>
			<td><form:select path="selectedDeviceId"
					id="selectedDeviceDropDown">
					<form:option value="-1" label="Select Device" />
					<form:options items="${command.devices}" />
				</form:select></td>
		</tr>
		<tr valign="top" id="deviceVendorMapContainer">
			<td align="right" class="fieldLabel"><h4 tabindex="0">Device
					- Vendor:</h4></td>
			<td></td>
			<td><form:select path="selectedDeviceId"
					id="selectedDeviceVendor">
					<form:options items="${command.deviceVendorMap}" />
				</form:select></td>
		</tr>
		<tr valign="top" id="vendorContainer">
			<td align="right" class="fieldLabel"><h4 tabindex="0">Vendor:</h4></td>
			<td><h2 class="required">*</h2></td>
			<td><form:select path="selectedVendorId"
					id="selectedVendorDropDown">
					<form:option value="-1" label="Select Vendor" />
					<form:options items="${command.vendors}" />
				</form:select></td>
		</tr>
		<tr valign="top" id="complaintTypeContainer">
			<td align="right" class="fieldLabel"><h4 tabindex="0">Type
					of Complaint:</h4></td>
			<td></td>
			<td><form:select path="selectedQirType"
					id="selectedComplaintTypeDropDown">
					<form:option value="-1" label="Select Type" />
					<form:options items="${command.qirTypes}" />
				</form:select></td>
		</tr>
		<tr valign="top" id="serialNumberContainer">
			<td align="right" class="fieldLabel"><h4 tabindex="0">Serial
					Number:</h4></td>
			<td></td>
			<td><form:input type="text" name="serialNumber"
					path="serialNumber" /></td>
		</tr>
		<tr valign="top" id="causeOfComplaintContainer">
			<td align="right" class="fieldLabel"><h4 tabindex="0">Cause
					of Complaint:</h4></td>
			<td><h2 class="required">*</h2></td>
			<td><form:textarea id="complaintArea" path="complaint" rows="4"
					cols="75" />
				<p id="causeOfComplaintMessage"></p></td>
		</tr>
		<tr valign="top" id="recommendationsContainer">
			<td align="right" class="fieldLabel"><h4 tabindex="0">Recommendations
					and Remarks:</h4></td>
			<td><h2 class="required">*</h2></td>
			<td><div class="fieldGroup">
					<div id="remarksPrefix"></div>
					<form:textarea id="recommendationsArea" path="remarks" rows="4"
						cols="75" />
					<p id="recommendationsMessage"></p>
				</div></td>
		</tr>
		<tr valign="top" id="attachmentsContainer">
			<td align="right" class="fieldLabel"><h4 tabindex="0">Attachments:</h4></td>
			<td></td>
			<td><div id="attachmentTableContainer"
					style="display: inline-block">
					<jsp:include page="inc_attachmentTable.jsp">
						<jsp:param name="showDelete" value="true" />
					</jsp:include>
				</div></td>
		</tr>
	</table>

	<div id="buttonContainer">
		<input type="submit" class="button" id="submit" value="Submit"
			name="Submit" tabIndex="0" /> <input type="submit" class="button"
			id="reset" value="Reset" name="Reset" tabIndex="0" /> <input
			type="submit" class="button" id="cancel" value="Cancel" name="Cancel"
			onclick="return(confirmCancel());" tabIndex="0" />
	</div>

</form:form>