		<form:form method="get" action="newQir.html" commandName="command">
	
		<form:errors path="*" cssClass="errorBlock" element="div">
				
		</form:errors>

			<div id="instructionsContainer">
				<p>Please address ONLY ONE VENDOR in ANY (EACH) QIR.</p>
			</div>
			<div id="headlineContainer">
				<h4 tabIndex="0">Headline:</h4>
				<h2 class="required">* </h2>						
				<form:textarea id="headlineInput" path="headline" rows="1" cols="50" />
				<p id="headlineMessage" style="color: black;" ></p>
				
			</div>
			
			<div id="assignedFacilityContainer">
				<h4 tabIndex="0">Facility:</h4>
				<h2 class="required">* </h2>
				<form:select path="selectedFacilityId">
				<form:option value="-1" label="Select Facility" />
				<form:options items="${command.facilities}"/>
				</form:select>

			</div>
			
			<div id="complaintTypeContainer">
				<h4 tabIndex="0">Type of Complaint: </h4>
				<div><form:radiobutton path="selectedQirType" value="2" />New Item </div>
				<div><form:radiobutton path="selectedQirType" value="1" />Quality Complaint </div>
				<div><form:radiobutton path="selectedQirType" value="3" />Similar Item </div>
			</div>
			
			<div id="orderNumberContainer">
				<h4 tabIndex="0">Contract or Purchase Order Number: </h4>				
				<form:input type="text" name="orderNumber" path="purchaseOrderNumber"/>
			</div>

			<div id="deviceModelContainer">
				<h4 tabIndex="0">Device Model: </h4>
				<form:select path="selectedDeviceId">
					<form:option value="-1" label="Select Device" />
					<form:options items="${command.devices}"/>
				</form:select>
			</div>
		
			<div id="vendorContainer">
				<h4 tabIndex="0">Vendor:</h4>
				<h2 class="required">* </h2>
				<form:select path="selectedVendorId">
					<form:option value="-1" label="Select Vendor" />
					<form:options items="${command.vendors}"/>
				</form:select>
					
			</div>
			
			<div id="serialNumberContainer">
				<h4 tabIndex="0">Serial Number: </h4>				
				<form:input type="text" name="serialNumber" path="serialNumber"/>
				
			</div>
			
			<div id="causeOfComplaintContainer">
				<h4 tabIndex="0">Cause of Complaint:</h4>
				<h2 class="required">* </h2>
				<form:textarea id="complaintArea" path="complaint" rows="4" cols="50" />
				<p id="causeOfComplaintMessage"></p>
			</div>
			
			<div id="recommendationsContainer">
				<h4 tabIndex="0">Recommendations and Remarks:</h4>
				<h2 class="required">* </h2>
				<form:textarea id="recommendationsArea" path="remarks" rows="4" cols="50" />
				<p id="recommendationsNote">Note:  Facility # and Name are required ( i.e. Facility 526 Bronx or Facility 561 East Orange)</p>
				<p id="recommendationsMessage" ></p>
			</div>
			
			<div id="attachmentsContainer">
				<h4 tabIndex="0">Attachments:</h4>
				<input type="file" id="add" value = "Add" name="Add" tabIndex="0"/>
			</div>
			
			
			<div id="buttonContainer">
				<input type="submit" class="button" id="submit" value = "Submit" name="Submit" tabIndex="0"/>
				<input type="submit" class="button" id="reset" value = "Reset" name="Reset" tabIndex="0"/>
				<input type="submit" class="button" id="cancel" value="Cancel" name="Cancel" onclick="return(confirmCancel());" tabIndex="0"/>
			</button>
		</form:form>