package gov.va.med.ccht.model;

public interface CCHTPermissions {
	public static final String MANAGE_USERS = "Manage Users";
	public static final String MANAGE_REGISTRATIONS = "Manage Registrations";	
	public static final String MANAGE_ROLES = "Manage Roles";
	public static final String MANAGE_BATCH_JOBS = "Manage Batch Jobs";	
	
	public static final String SUMMARY_DEVICE_INVENTORY_REPORTS = "Summary Device Inventory Reports";
	public static final String SUMMARY_DEVICE_STATUS_REPORTS = "Summary Device Status Reports";
	public static final String VENDOR_COMPLIANCE_REPORTS = "Vendor Compliance Reports";
	public static final String SEARCH_DEVICE_BY_SERIAL_NUMBER = "Search Device By Serial Number";
	public static final String SEARCH_DEVICE_BY_ACTIVATION_DATE = "Search Device By Activation Date";
	public static final String SAERCH_DEVICE_BY_PATIENT = "Search Device By Patient";
	public static final String SEARCH_DEVICE_BY_STATUS = "Search Device By Status";
	public static final String MANGE_DEVICE_STATUS = "Manage Device Status";
	public static final String MANGE_DEVICE_SHORTAGE = "Manage Device Shortage";
	
	public static final String SUMMARY_DEV_FAILURE_REPORTS = "Summary Device Failure Rate Reports";
	public static final String SUMMARY_DEV_INVENTORY_REPORTS = "Summary Device Inventory Reports";
	public static final String SUMMARY_DEV_SHORTAGE_REPORTS = "Summary Device Shortage Reports";
	public static final String SUMMARY_DEV_STATUS_REPORTS = "Summary Device Status Reports";
	
	public static final String[] INVENTORY_REPORT_PERMISSIONS = {SUMMARY_DEV_FAILURE_REPORTS, 
		SUMMARY_DEV_INVENTORY_REPORTS, SUMMARY_DEV_SHORTAGE_REPORTS, SUMMARY_DEV_STATUS_REPORTS};
	//dmp
	public static final String DMP="DMP Contributor";
	public static final String CREATE_DMP="Create DMP";
	public static final String UPDATE_DMP="Update DMP";
	public static final String READ_DMP="Read DMP";
	
	//qir
	public static final String CREATE_QIR = "Create QIR";
	public static final String UPDATE_QIR = "Update QIR";
	public static final String READ_QIR = "Read QIR";
	public static final String APPROVE_QIR = "Approve QIR";
	public static final String CLOSE_QIR = "Close QIR";
	public static final String WITHDRAW_QIR = "Withdraw QIR";
	public static final String REPLY_QIR = "Reply QIR";
	public static final String AGREE_QIR = "Agree QIR";
	public static final String[] QIR_UPDATE_PERMISSIONS = 
		{CREATE_QIR, UPDATE_QIR, APPROVE_QIR, CLOSE_QIR, WITHDRAW_QIR, REPLY_QIR, AGREE_QIR};
	
	//admin role names
	public static final String NATIONAL_ADMIN = "National Administrator";
	public static final String VISN_ADMIN = "VISN Administrator";
	public static final String FACILITY_ADMIN = "Facility Administrator";
	public static final String APPLICATION_ADMIN = "Application Administrator";
	public static final String DMP_ADMIN = "DMP Administrator";
	public static final String MANAGEMENT = "Management";
	public static final String VENDOR = "Vendor";
	public static final String NAC_POC = "NAC POC";
	public static final String SYSTEM_ADMIN = "National Administrator";
	public static final String DMP_REVIEWER = "DMP Reviewer";
	public static final String OTS_CONTRACT_MANAGER = "OTS Contract Manager";
	public static final String CARE_COORDINATOR = "Care Coordinator";			
	
}
