/**
 * 
 */
package gov.va.med.ccht.model.inventory;

import gov.va.med.ccht.model.AbstractHTEntity;

public class Device extends AbstractHTEntity {

	private static final long serialVersionUID = 4582286727002891205L;
	
	public static final String NULL_DEVICE_NAME = "{none}";
	public static final Device NULL_DEVICE = new Device(NULL_DEVICE_NAME);
	
	private String deviceName;
	private String deviceVersion;
	private Vendor vendor;
	
	public Device() {
		super(); 
	}
	private Device(String deviceName) {
		this.deviceName = deviceName;
	}
	public String getDeviceName() {
		return deviceName;
	}
	public void setDeviceName(String deviceName) {
		this.deviceName = deviceName;
	}
	public String getDeviceVersion() {
		return deviceVersion;
	}
	public void setDeviceVersion(String deviceVersion) {
		this.deviceVersion = deviceVersion;
	}
	public Vendor getVendor() {
		return vendor;
	}
	public void setVendor(Vendor vendor) {
		this.vendor = vendor;
	}
	
	
	public String toString() {
		return deviceName;
	}
	

}
