/**
 * 
 */
package gov.va.med.ccht.model.inventory;

import gov.va.med.fw.model.lookup.AbstractLookup;

/**
 * @author DNS   katikm
 *
 */
@org.hibernate.annotations.Cache(usage = org.hibernate.annotations.CacheConcurrencyStrategy.READ_ONLY)
public class DeviceStatusType extends AbstractLookup {

	private static final long serialVersionUID = 1297296701538526143L;
	
	public static final String AVAILABLE = "AVL";
	public static final String ASSIGNED = "ASN";
	public static final String RECYCLE = "RCY";
	public static final String REFURBISHED = "REF";
	public static final String REPAIR = "RPR";
	public static final String DECOMMISSIONED = "DEC";
}
