package gov.va.med.ccht.model.inventory;

import gov.va.med.fw.model.lookup.AbstractLookup;

/**
 * @author DNS   katikm
 *
 */
@org.hibernate.annotations.Cache(usage = org.hibernate.annotations.CacheConcurrencyStrategy.READ_ONLY)
public class DeviceType extends AbstractLookup {

	private static final long serialVersionUID = 1408398326825423566L;

	public static final String NULL_DEVICE_NAME = "{none}";

	private Vendor vendor;
	
	public Vendor getVendor() {
		return vendor;
	}
	public void setVendor(Vendor vendor) {
		this.vendor = vendor;
	}
	
	public String toString()
	{
		return getName();
	}
}
