/**
 * 
 */
package gov.va.med.ccht.model.qir;

import java.util.Date;

import gov.va.med.ccht.model.Attachment;
import gov.va.med.ccht.model.terminology.DocumentType;

/**
 * @author DNS   katikm
 *
 */
public class QIRAttachment extends Attachment {
	private static final long serialVersionUID = -3329088655900262470L;

	private Long qirId;
	private byte[] data;
	private Integer length;

	public QIRAttachment() {
	}

	public QIRAttachment(Long qirId, byte[] data, Integer length, Date date, DocumentType documentType,
			String documentName) {
		super(date, documentType, documentName);

		this.qirId = qirId;
		this.data = data;
		this.length = length;
	}

	public Long getQirId() {
		return qirId;
	}

	public void setQirId(Long qirId) {
		this.qirId = qirId;
	}

	public byte[] getData() {
		return data;
	}

	public void setData(byte[] data) {
		this.data = data;
	}

	public Integer getLength() {
		return this.length;
	}

	public void setLength(Integer length) {
		this.length = length;
	}
}
