package gov.va.med.ccht.model.responserate;

import java.io.Serializable;
import java.util.Date;

public class ResponseRateParameters implements Serializable
{
    private static final long serialVersionUID = 997329073340228859L;
    private String reportEndDate;

    public String getReportEndDate()
    {
        return reportEndDate;
    }

    public void setReportEndDate(String reportEndDate)
    {
        this.reportEndDate = reportEndDate;
    }

    @Override
    public int hashCode()
    {
	final int prime = 31;
	int result = 1;
	result = prime * result + ((reportEndDate == null) ? 0 : reportEndDate.hashCode());
	return result;
    }

    @Override
    public boolean equals(Object obj)
    {
	if (this == obj) return true;
	if (obj == null) return false;
	if (getClass() != obj.getClass()) return false;
	ResponseRateParameters other = (ResponseRateParameters) obj;
	if (reportEndDate == null)
	{
	    if (other.reportEndDate != null) return false;
	}
	else if (!reportEndDate.equals(other.reportEndDate)) return false;
	return true;
    }

    @Override
    public String toString()
    {
	return "ResponseRateParameters \n[reportEndDate=" + reportEndDate + "]";
    }
    
    
}
