package gov.va.med.ccht.model.responserate;

import java.io.Serializable;

public class ResponseRateRow implements Serializable
{
    
    private static final long serialVersionUID = -5308479194967504320L;
    private String columnZero = "";
    private String columnOne = "0";
    private String columnTwo = "0";
    private String columnThree = "0";
    private String columnFour = "0";
    private String columnFive = "0";
    private String columnSix = "0";
    private String columnSeven = "0";
    
    private String vendorName;
    private Integer numResponders = 0;
    private Integer partialResponders = 0;
    private Integer nonResponders = 0;
    private Integer unknown = 0;
    private Integer total = 0;
    private Integer thirtyDaysNonResponse = 0;
    private Integer greatestDaysNonResponse = 0;
    
    
    
    public String getVendorName()
    {
        return vendorName;
    }
    public void setVendorName(String vendorName)
    {
        this.vendorName = vendorName;
        this.columnZero = vendorName;
    }
    public Integer getNumResponders()
    {
        return numResponders;
    }
    public void setNumResponders(Integer numResponders)
    {
        this.numResponders = numResponders;
        this.columnOne = numResponders.toString();        
    }
    public Integer getPartialResponders()
    {
        return partialResponders;
    }
    public void setPartialResponders(Integer partialResponders)
    {
        this.partialResponders = partialResponders;
        this.columnTwo = partialResponders.toString();
    }
    public Integer getNonResponders()
    {
        return nonResponders;
    }
    public void setNonResponders(Integer nonResponders)
    {
        this.nonResponders = nonResponders;
        this.columnThree = nonResponders.toString();
    }
    public Integer getUnknown()
    {
        return unknown;
    }
    public void setUnknown(Integer unknown)
    {
        this.unknown = unknown;
        this.columnFour = unknown.toString();
    }
    public Integer getTotal()
    {
        return total;
    }
    public void setTotal()
    {
	this.total = numResponders + partialResponders + nonResponders + unknown;
	this.columnFive = total.toString();
    }
    public void setTotal(Integer total)
    {
        this.total = total;
        this.columnFive = total.toString();
    }
    public Integer getThirtyDaysNonResponse()
    {
        return thirtyDaysNonResponse;
    }
    public void setThirtyDaysNonResponse(Integer thirtyDaysNonResponse)
    {
        this.thirtyDaysNonResponse = thirtyDaysNonResponse;
        this.columnSix = thirtyDaysNonResponse.toString();
    }
    public Integer getGreatestDaysNonResponse()
    {
        return greatestDaysNonResponse;
    }
    public void setGreatestDaysNonResponse(Integer greatestDaysNonResponse)
    {
        this.greatestDaysNonResponse = greatestDaysNonResponse;
        this.columnSeven = greatestDaysNonResponse.toString();
    }
    public String getColumnZero()
    {
        return columnZero;
    }
    public void setColumnZero(String columnZero)
    {
        this.columnZero = columnZero;
    }
    public String getColumnOne()
    {
        return columnOne;
    }
    public void setColumnOne(String columnOne)
    {
        this.columnOne = columnOne;
    }
    public String getColumnTwo()
    {
        return columnTwo;
    }
    public void setColumnTwo(String columnTwo)
    {
        this.columnTwo = columnTwo;
    }
    public String getColumnThree()
    {
        return columnThree;
    }
    public void setColumnThree(String columnThree)
    {
        this.columnThree = columnThree;
    }
    public String getColumnFour()
    {
        return columnFour;
    }
    public void setColumnFour(String columnFour)
    {
        this.columnFour = columnFour;
    }
    public String getColumnFive()
    {
        return columnFive;
    }
    public void setColumnFive(String columnFive)
    {
        this.columnFive = columnFive;
    }
    public String getColumnSix()
    {
        return columnSix;
    }
    public void setColumnSix(String columnSix)
    {
        this.columnSix = columnSix;
    }
    public String getColumnSeven()
    {
        return columnSeven;
    }
    public void setColumnSeven(String columnSeven)
    {
        this.columnSeven = columnSeven;
    }
    
    
    

}
