package gov.va.med.ccht.persistent;


import gov.va.med.ccht.model.car.CensusActivityModalityRecord;
import gov.va.med.ccht.model.car.CensusActivityReportParameters;


import gov.va.med.fw.persistent.DAOException;
import gov.va.med.fw.persistent.DAOOperations;


import java.util.List;

public interface CensusActivityReportModalityDAO  extends DAOOperations{
	
	public List<CensusActivityModalityRecord> getSingleModalitySingleVendorVisnReport(CensusActivityReportParameters reportParams) throws DAOException;
	public List<CensusActivityModalityRecord> getSingleModalitySubtotaledVisnReport(CensusActivityReportParameters reportParams) throws DAOException;
	public List<CensusActivityModalityRecord> getSingleModalityAllVendorAllVisnReport(CensusActivityReportParameters reportParams) throws DAOException;
	public List<CensusActivityModalityRecord> getSingleVisnSingleModalityAllVendorVisnReport(CensusActivityReportParameters reportParams) throws DAOException;
	public List<CensusActivityModalityRecord> getSingleVisnSingleModalitySingleVendorReport(CensusActivityReportParameters reportParams) throws DAOException;
	public List<CensusActivityModalityRecord> getSingleVisnSingleModalitySubtotaledVisnReport(CensusActivityReportParameters reportParams) throws DAOException;
	public List<CensusActivityModalityRecord> getFacilityDrilldownData(CensusActivityReportParameters params) throws DAOException;

}
