/********************************************************************
 * Copyright 2010 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.ccht.service.common;

import gov.va.med.fw.model.EntityKey;
import gov.va.med.fw.model.lookup.SeverityType;

import gov.va.med.ccht.model.terminology.ApplicationName;

/**
 * 
 * 
 * IHTA IHTA_common Jul 21, 2010
 * 
 * @author DNS   BOHMEG
 */
public interface ExceptionService {

	public EntityKey processException(ExceptionLogEntry logEntry);

	public EntityKey processException(Throwable t, String message, Object producer,
			ApplicationName appName);

	public EntityKey processException(Throwable t, String message, Object producer,
			SeverityType severityType, ApplicationName appName);
}
