/**
 * 
 */
package gov.va.med.ccht.service.common;

/**
 * @author DNS   leh
 */
public enum JobDescription {

	/**
	 * Care Coordinator (2)
	 * Lead Care Coordinator (1)
	 * Management (4)
	 * NAC POC (6)
	 * Program Support Assistant (3)
	 * Vendor (5)
	 */
	CARE_COORDINATOR("Care Coordinator","2"),
	LEAD_CARE_COORDINATOR("Lead Care Coordinator","1"),
	MANAGEMENT("Management","4"),
	NAC("NAC","6"),
	PSA("Program Support Assistant","3"),
	VENDOR("Vendor","5"),
	DMP_CONTRIBUTOR("DMP Contributor","7"),
	STTC_STAFF("STTC Staff","8");
	
	private String key;
	private String value;

	private JobDescription(String key, String value) {
		this.key = key;
		this.value = value;
	}

	/**
	 * @return the value
	 */
	public String getValue() {
		return value;
	}

	/**
	 * @return the key
	 */
	public String getKey() {
		return key;
	}
}
