package gov.va.med.ccht.service.dmpreport.impl;

import gov.va.med.ccht.model.responserate.ResponseRateParameters;
import gov.va.med.ccht.model.responserate.ResponseRateResults;
import gov.va.med.ccht.persistent.ResponseRateReportDAO;
import gov.va.med.ccht.service.common.impl.AbstractBusinessService;
import gov.va.med.ccht.service.dmpreport.ResponseRateReportService;
import gov.va.med.fw.persistent.DAOException;
import gov.va.med.fw.service.ServiceException;

public class ResponseRateReportServiceImpl extends AbstractBusinessService implements ResponseRateReportService
{
    private ResponseRateReportDAO responseRateReportDAO;

    public ResponseRateReportDAO getResponseRateReportDAO()
    {
        return responseRateReportDAO;
    }

    public void setResponseRateReportDAO(ResponseRateReportDAO responseRateReportDAO)
    {
        this.responseRateReportDAO = responseRateReportDAO;
    }
    
    public ResponseRateResults getNationalReport(ResponseRateParameters reportParams) throws ServiceException
    {
	try
	{
	    return responseRateReportDAO.getNationalReport(reportParams);
	}
	catch(DAOException e)
	{
	    throw new ServiceException(e.getMessage(), e);
	}
    }
}
