package gov.va.med.ccht.util;

/**
 * Types of ESAPI validation 
 * 
 * @author DNS   EdgecK
 *
 */
public enum ESAPIValidationType {

    ACCESS_CONTROL_DB,
    CROSS_SITE_SCRIPTING_PERSISTENT,
    CROSS_SITE_SCRIPTING_REFLECTED,
    COMMAND_INJECTION,
    DENIAL_OF_SERVICE_REG_EXP,
    JSON_INJECTION,
    LOG_FORGING,
    OPEN_REDIRECT,
    PATH_MANIPULATION,
    PORTABILITY_FLAW_FILE_SEPARATOR,
    PORTABILITY_FLAW_LOCALE,
    PRIVACY_VIOLATION,
    SQL_INJECTION,
    SYSTEM_INFORMATION_LEAK_EXTERNAL,
    XML_EXT_ENTITY_INJ,
    HTML_SAFE_STRING    
}
