
package gov.va.med.cds.ars;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for HTReportFilterType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="HTReportFilterType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice>
 *         &lt;element name="VR12ReportFilter" type="{HTReportFilter}VR12ReportFilterType"/>
 *         &lt;element name="DistributionReportFilter" type="{HTReportFilter}DistributionReportFilterType"/>
 *         &lt;element name="PatientSatisfactionReportFilter" type="{HTReportFilter}PSReportFilterType"/>
 *         &lt;element name="SurveyTrendReportFilter" type="{HTReportFilter}TrendReportFilterType"/>
 *         &lt;element name="NationalDistributionReportFilter" type="{HTReportFilter}NationalDistributionReportFilterType"/>
 *         &lt;element name="DMPUniqueICNReportFilter" type="{HTReportFilter}DMPUniqueICNReportFilterType"/>
 *         &lt;element name="DMPTitleReportFilter" type="{HTReportFilter}DMPTitleReportFilterType"/>
 *       &lt;/choice>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "HTReportFilterType", namespace = "HTReportFilter", propOrder = {
    "vr12ReportFilter",
    "distributionReportFilter",
    "patientSatisfactionReportFilter",
    "surveyTrendReportFilter",
    "nationalDistributionReportFilter",
    "dmpUniqueICNReportFilter",
    "dmpTitleReportFilter"//,
    //"censusWeeklyVendorStatusReport"
})
public class HTReportFilterType {

    @XmlElement(name = "VR12ReportFilter")
    protected VR12ReportFilterType vr12ReportFilter;
    @XmlElement(name = "DistributionReportFilter")
    protected DistributionReportFilterType distributionReportFilter;
    @XmlElement(name = "PatientSatisfactionReportFilter")
    protected PSReportFilterType patientSatisfactionReportFilter;
    @XmlElement(name = "SurveyTrendReportFilter")
    protected TrendReportFilterType surveyTrendReportFilter;
    @XmlElement(name = "NationalDistributionReportFilter")
    protected NationalDistributionReportFilterType nationalDistributionReportFilter;
    @XmlElement(name = "DMPUniqueICNReportFilter")
    protected DMPUniqueICNReportFilterType dmpUniqueICNReportFilter;
    @XmlElement(name = "DMPTitleReportFilter")
    protected DMPTitleReportFilterType dmpTitleReportFilter;
    /*
    @XmlElement(name = "CensusWeeklyVendorStatusReport")
    protected CensusWeeklyVendorReportStatusFilterType censusWeeklyVendorStatusReportFilter;
    */
    /**
     * Gets the value of the vr12ReportFilter property.
     * 
     * @return
     *     possible object is
     *     {@link VR12ReportFilterType }
     *     
     */
    public VR12ReportFilterType getVR12ReportFilter() {
        return vr12ReportFilter;
    }

    /**
     * Sets the value of the vr12ReportFilter property.
     * 
     * @param value
     *     allowed object is
     *     {@link VR12ReportFilterType }
     *     
     */
    public void setVR12ReportFilter(VR12ReportFilterType value) {
        this.vr12ReportFilter = value;
    }

    /**
     * Gets the value of the distributionReportFilter property.
     * 
     * @return
     *     possible object is
     *     {@link DistributionReportFilterType }
     *     
     */
    public DistributionReportFilterType getDistributionReportFilter() {
        return distributionReportFilter;
    }

    /**
     * Sets the value of the distributionReportFilter property.
     * 
     * @param value
     *     allowed object is
     *     {@link DistributionReportFilterType }
     *     
     */
    public void setDistributionReportFilter(DistributionReportFilterType value) {
        this.distributionReportFilter = value;
    }

    /**
     * Gets the value of the patientSatisfactionReportFilter property.
     * 
     * @return
     *     possible object is
     *     {@link PSReportFilterType }
     *     
     */
    public PSReportFilterType getPatientSatisfactionReportFilter() {
        return patientSatisfactionReportFilter;
    }

    /**
     * Sets the value of the patientSatisfactionReportFilter property.
     * 
     * @param value
     *     allowed object is
     *     {@link PSReportFilterType }
     *     
     */
    public void setPatientSatisfactionReportFilter(PSReportFilterType value) {
        this.patientSatisfactionReportFilter = value;
    }

    /**
     * Gets the value of the surveyTrendReportFilter property.
     * 
     * @return
     *     possible object is
     *     {@link TrendReportFilterType }
     *     
     */
    public TrendReportFilterType getSurveyTrendReportFilter() {
        return surveyTrendReportFilter;
    }

    /**
     * Sets the value of the surveyTrendReportFilter property.
     * 
     * @param value
     *     allowed object is
     *     {@link TrendReportFilterType }
     *     
     */
    public void setSurveyTrendReportFilter(TrendReportFilterType value) {
        this.surveyTrendReportFilter = value;
    }

    /**
     * Gets the value of the nationalDistributionReportFilter property.
     * 
     * @return
     *     possible object is
     *     {@link NationalDistributionReportFilterType }
     *     
     */
    public NationalDistributionReportFilterType getNationalDistributionReportFilter() {
        return nationalDistributionReportFilter;
    }

    /**
     * Sets the value of the nationalDistributionReportFilter property.
     * 
     * @param value
     *     allowed object is
     *     {@link NationalDistributionReportFilterType }
     *     
     */
    public void setNationalDistributionReportFilter(NationalDistributionReportFilterType value) {
        this.nationalDistributionReportFilter = value;
    }

    /**
     * Gets the value of the dmpUniqueICNReportFilter property.
     * 
     * @return
     *     possible object is
     *     {@link DMPUniqueICNReportFilterType }
     *     
     */
    public DMPUniqueICNReportFilterType getDMPUniqueICNReportFilter() {
        return dmpUniqueICNReportFilter;
    }

    /**
     * Sets the value of the dmpUniqueICNReportFilter property.
     * 
     * @param value
     *     allowed object is
     *     {@link DMPUniqueICNReportFilterType }
     *     
     */
    public void setDMPUniqueICNReportFilter(DMPUniqueICNReportFilterType value) {
        this.dmpUniqueICNReportFilter = value;
    }

    /**
     * Gets the value of the dmpTitleReportFilter property.
     * 
     * @return
     *     possible object is
     *     {@link DMPTitleReportFilterType }
     *     
     */
    public DMPTitleReportFilterType getDMPTitleReportFilter() {
        return dmpTitleReportFilter;
    }

    /**
     * Sets the value of the dmpTitleReportFilter property.
     * 
     * @param value
     *     allowed object is
     *     {@link DMPTitleReportFilterType }
     *     
     */
    public void setDMPTitleReportFilter(DMPTitleReportFilterType value) {
        this.dmpTitleReportFilter = value;
    }

    /*
    public void setCensusWeeklyVendorStatusReportFilter(CensusWeeklyVendorReportStatusFilterType value) {
        this.censusWeeklyVendorStatusReportFilter = value;
    }

    public CensusWeeklyVendorReportStatusFilterType getCensusWeeklyVendorStatusReportFilter() {
        return this.censusWeeklyVendorStatusReportFilter;
    }
    */
    
}
