
package gov.va.med.cds.ars;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for HTResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="HTResponseType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice>
 *         &lt;element name="DistributionReportData" type="{Report}DistributionReportDataType"/>
 *         &lt;element name="VR12ReportData" type="{Report}VR12ReportDataType"/>
 *         &lt;element name="PatientSatisfactionReportData" type="{Report}PSReportDataType"/>
 *         &lt;element name="SurveyTrendReportData" type="{Report}TrendReportDataType"/>
 *         &lt;element name="NationalDistributionReportData" type="{Report}NationalDistributionReportDataType"/>
 *         &lt;element name="DMPUniqueICNReportData" type="{Report}DMPUniqueICNReportDataType"/>
 *         &lt;element name="DMPTitleReportData" type="{Report}DMPTitleReportDataType"/>
 *       &lt;/choice>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "HTResponseType", propOrder = {
    "distributionReportData",
    "vr12ReportData",
    "patientSatisfactionReportData",
    "surveyTrendReportData",
    "nationalDistributionReportData",
    "dmpUniqueICNReportData",
    "dmpTitleReportData"
    /*
    ,
    "censusWeeklyVendorStatusReportData"
    */
})
public class HTResponseType {

    @XmlElement(name = "DistributionReportData")
    protected DistributionReportDataType distributionReportData;
    @XmlElement(name = "VR12ReportData")
    protected VR12ReportDataType vr12ReportData;
    @XmlElement(name = "PatientSatisfactionReportData")
    protected PSReportDataType patientSatisfactionReportData;
    @XmlElement(name = "SurveyTrendReportData")
    protected TrendReportDataType surveyTrendReportData;
    @XmlElement(name = "NationalDistributionReportData")
    protected NationalDistributionReportDataType nationalDistributionReportData;
    @XmlElement(name = "DMPUniqueICNReportData")
    protected DMPUniqueICNReportDataType dmpUniqueICNReportData;
    @XmlElement(name = "DMPTitleReportData")
    protected DMPTitleReportDataType dmpTitleReportData;
    /*
    @XmlElement(name = "CensusWeeklyVendorStatusReportDataType censusVendorWeeklyReportData")
    protected CensusWeeklyVendorStatusReportDataType censusVendorWeeklyReportData;
  	*/

	/**
     * Gets the value of the distributionReportData property.
     * 
     * @return
     *     possible object is
     *     {@link DistributionReportDataType }
     *     
     */
    public DistributionReportDataType getDistributionReportData() {
        return distributionReportData;
    }

    /**
     * Sets the value of the distributionReportData property.
     * 
     * @param value
     *     allowed object is
     *     {@link DistributionReportDataType }
     *     
     */
    public void setDistributionReportData(DistributionReportDataType value) {
        this.distributionReportData = value;
    }

    /**
     * Gets the value of the vr12ReportData property.
     * 
     * @return
     *     possible object is
     *     {@link VR12ReportDataType }
     *     
     */
    public VR12ReportDataType getVR12ReportData() {
        return vr12ReportData;
    }

    /**
     * Sets the value of the vr12ReportData property.
     * 
     * @param value
     *     allowed object is
     *     {@link VR12ReportDataType }
     *     
     */
    public void setVR12ReportData(VR12ReportDataType value) {
        this.vr12ReportData = value;
    }

    /**
     * Gets the value of the patientSatisfactionReportData property.
     * 
     * @return
     *     possible object is
     *     {@link PSReportDataType }
     *     
     */
    public PSReportDataType getPatientSatisfactionReportData() {
        return patientSatisfactionReportData;
    }

    /**
     * Sets the value of the patientSatisfactionReportData property.
     * 
     * @param value
     *     allowed object is
     *     {@link PSReportDataType }
     *     
     */
    public void setPatientSatisfactionReportData(PSReportDataType value) {
        this.patientSatisfactionReportData = value;
    }

    /**
     * Gets the value of the surveyTrendReportData property.
     * 
     * @return
     *     possible object is
     *     {@link TrendReportDataType }
     *     
     */
    public TrendReportDataType getSurveyTrendReportData() {
        return surveyTrendReportData;
    }

    /**
     * Sets the value of the surveyTrendReportData property.
     * 
     * @param value
     *     allowed object is
     *     {@link TrendReportDataType }
     *     
     */
    public void setSurveyTrendReportData(TrendReportDataType value) {
        this.surveyTrendReportData = value;
    }

    /**
     * Gets the value of the nationalDistributionReportData property.
     * 
     * @return
     *     possible object is
     *     {@link NationalDistributionReportDataType }
     *     
     */
    public NationalDistributionReportDataType getNationalDistributionReportData() {
        return nationalDistributionReportData;
    }

    /**
     * Sets the value of the nationalDistributionReportData property.
     * 
     * @param value
     *     allowed object is
     *     {@link NationalDistributionReportDataType }
     *     
     */
    public void setNationalDistributionReportData(NationalDistributionReportDataType value) {
        this.nationalDistributionReportData = value;
    }

    /**
     * Gets the value of the dmpUniqueICNReportData property.
     * 
     * @return
     *     possible object is
     *     {@link DMPUniqueICNReportDataType }
     *     
     */
    public DMPUniqueICNReportDataType getDMPUniqueICNReportData() {
        return dmpUniqueICNReportData;
    }

    /**
     * Sets the value of the dmpUniqueICNReportData property.
     * 
     * @param value
     *     allowed object is
     *     {@link DMPUniqueICNReportDataType }
     *     
     */
    public void setDMPUniqueICNReportData(DMPUniqueICNReportDataType value) {
        this.dmpUniqueICNReportData = value;
    }

    /**
     * Gets the value of the dmpTitleReportData property.
     * 
     * @return
     *     possible object is
     *     {@link DMPTitleReportDataType }
     *     
     */
    public DMPTitleReportDataType getDMPTitleReportData() {
        return dmpTitleReportData;
    }

    /**
     * Sets the value of the dmpTitleReportData property.
     * 
     * @param value
     *     allowed object is
     *     {@link DMPTitleReportDataType }
     *     
     */
    public void setDMPTitleReportData(DMPTitleReportDataType value) {
        this.dmpTitleReportData = value;
    }
    
    /*
    public CensusWeeklyVendorStatusReportDataType getCensusVendorWeeklyReportData() {
		return censusVendorWeeklyReportData;
	}

	public void setCensusVendorWeeklyReportData(
			CensusWeeklyVendorStatusReportDataType censusVendorWeeklyReportData) {
		this.censusVendorWeeklyReportData = censusVendorWeeklyReportData;
	}
	*/
	
}
