package gov.va.med.ccht.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;

import gov.va.med.ccht.model.coc.CategoryOfCareReportParameters;
import gov.va.med.ccht.model.coc.CategoryOfCareResult;
import gov.va.med.ccht.service.dmpreport.CategoryOfCareReportService;
import gov.va.med.ccht.ui.common.AbstractController;

@Controller
public class CategoryOfCareReportController extends AbstractController {

	@Autowired
	private CategoryOfCareReportService categoryOfCareReportService;

	public CategoryOfCareResult getNationalReportAllVendors(CategoryOfCareReportParameters reportParams)
			throws Exception {
		return categoryOfCareReportService.getNationalReportAllVendors(reportParams);

	}

	public CategoryOfCareResult getNationalReportByVendor(CategoryOfCareReportParameters reportParams)
			throws Exception {
		return categoryOfCareReportService.getNationalReportByVendor(reportParams);
	}

}
