package gov.va.med.ccht.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;

import gov.va.med.ccht.model.responserate.ResponseRateParameters;
import gov.va.med.ccht.model.responserate.ResponseRateResults;
import gov.va.med.ccht.service.dmpreport.ResponseRateReportService;
import gov.va.med.ccht.ui.common.AbstractController;

@Controller
public class ResponseRateReportController extends AbstractController {

	@Autowired
	private ResponseRateReportService responseRateReportService;

	public ResponseRateResults getNationalReport(ResponseRateParameters reportParams) throws Exception {
		return responseRateReportService.getNationalReport(reportParams);
	}
}
