package gov.va.med.ccht.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;

import gov.va.med.ccht.model.dmp.PatientSatSurveyReportParameters;
import gov.va.med.ccht.model.dmpreport.PSSQuestionManager;
import gov.va.med.ccht.model.dmpreport.SatisfactionSurveyTrendEntry;
import gov.va.med.ccht.service.dmpreport.SatisfactionSurveyTrendService;
import gov.va.med.ccht.ui.common.AbstractController;

@Controller
public class SatisfactionSurveyTrendReportController extends AbstractController {

	@Autowired
	private SatisfactionSurveyTrendService satisfactionSurveyTrendService;

	public List<SatisfactionSurveyTrendEntry> getSatisfactionSurveyTrendReport(
			PatientSatSurveyReportParameters reportParams) throws Exception {
		return satisfactionSurveyTrendService.findSatisfactionSurveyTrendReport(reportParams);
	}

	public PSSQuestionManager getQuestionsForReportVersion(Integer version) throws Exception {
		return satisfactionSurveyTrendService.getQuestionsForReportVersion(version);
	}
}
