package gov.va.med.ccht.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;

import gov.va.med.ccht.model.dmp.PatientSatSurveyReportParameters;
import gov.va.med.ccht.model.dmpreport.PSSQuestionManager;
import gov.va.med.ccht.model.dmpreport.SurveyDistributionSearchResult;
import gov.va.med.ccht.service.dmpreport.SurveyDistributionReportService;
import gov.va.med.ccht.ui.common.AbstractController;

@Controller
public class SurveyDistributionReportController extends AbstractController {

	@Autowired
	private SurveyDistributionReportService surveyDistributionReportService;

	public SurveyDistributionSearchResult getSurveyReports(PatientSatSurveyReportParameters reportParams)
			throws Exception {
		return surveyDistributionReportService.findSurveyDistributionReport(reportParams);
	}

	public PSSQuestionManager getQuestionsForReportVersion(Integer version) throws Exception {
		return surveyDistributionReportService.getQuestionsForReportVersion(version);
	}

}
