package gov.va.med.ccht.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;

import gov.va.med.ccht.model.dmp.PatientSatSurveyReportParameters;
import gov.va.med.ccht.model.dmpreport.PSSQuestionManager;
import gov.va.med.ccht.model.dmpreport.VendorSubmissionReportEntry;
import gov.va.med.ccht.service.dmpreport.VendorSubmissionReportService;
import gov.va.med.ccht.ui.common.AbstractController;

@Controller
public class VendorSubmissionReportController extends AbstractController {

	@Autowired
	VendorSubmissionReportService vendorSubmissionReportService;

	public List<VendorSubmissionReportEntry> getVendorSubmissionReport(PatientSatSurveyReportParameters reportParams)
			throws Exception {
		return vendorSubmissionReportService.findVendorSubmissionReport(reportParams);
	}

	public PSSQuestionManager getQuestionsForReportVersion(Integer version) throws Exception {
		return vendorSubmissionReportService.getQuestionsForReportVersion(version);
	}

}
