/********************************************************************
 * Copyright � 2010 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.ccht.ui.model;

import static org.codehaus.jackson.annotate.JsonAutoDetect.Visibility.NONE;
import static org.codehaus.jackson.annotate.JsonAutoDetect.Visibility.PUBLIC_ONLY;

import java.util.List;

import org.codehaus.jackson.annotate.JsonAutoDetect;

import gov.va.med.fw.ui.model.Form;
import gov.va.med.fw.ui.model.TermType;

@JsonAutoDetect(fieldVisibility = NONE, getterVisibility = PUBLIC_ONLY, isGetterVisibility = PUBLIC_ONLY)
public class ReportScheduleForm extends Form {
	private TermType runFrequency;
	private TermType scheduleType;
	private TermType dayOfMonth;
	private TermType weekOfMonth;
	private TermType dayOfWeek;
	private TermType dayOfQuarter;
	private TermType month;
	private Integer numericDayOfMonth;
	private FormattedDateForm dateToGenerate;
	private Integer hour;
	private Integer minute;
	private List<TermType> daysOfWeek;
	private String cronExpression;
	private String friendlyDescription;
	private FormattedDateForm nextFireTime;

	public FormattedDateForm getDateToGenerate() {
		return dateToGenerate;
	}

	public void setDateToGenerate(FormattedDateForm dateToGenerate) {
		this.dateToGenerate = dateToGenerate;
	}

	public TermType getDayOfMonth() {
		return dayOfMonth;
	}

	public void setDayOfMonth(TermType dayOfMonth) {
		this.dayOfMonth = dayOfMonth;
	}

	public TermType getDayOfQuarter() {
		return dayOfQuarter;
	}

	public void setDayOfQuarter(TermType dayOfQuarter) {
		this.dayOfQuarter = dayOfQuarter;
	}

	/*
	 * public TermType getDayOfWeek() { return dayOfWeek; } public void
	 * setDayOfWeek(TermType dayOfWeek) { this.dayOfWeek = dayOfWeek; }
	 */
	public Integer getHour() {
		return hour;
	}

	public void setHour(Integer hour) {
		this.hour = hour;
	}

	public Integer getMinute() {
		return minute;
	}

	public void setMinute(Integer minute) {
		this.minute = minute;
	}

	public TermType getMonth() {
		return month;
	}

	public void setMonth(TermType month) {
		this.month = month;
	}

	public Integer getNumericDayOfMonth() {
		return numericDayOfMonth;
	}

	public void setNumericDayOfMonth(Integer numericDayOfMonth) {
		this.numericDayOfMonth = numericDayOfMonth;
	}

	public TermType getScheduleType() {
		return scheduleType;
	}

	public void setScheduleType(TermType scheduleType) {
		this.scheduleType = scheduleType;
	}

	public TermType getWeekOfMonth() {
		return weekOfMonth;
	}

	public void setWeekOfMonth(TermType weekOfMonth) {
		this.weekOfMonth = weekOfMonth;
	}

	public TermType getRunFrequency() {
		return runFrequency;
	}

	public void setRunFrequency(TermType runFrequency) {
		this.runFrequency = runFrequency;
	}

	public List<TermType> getDaysOfWeek() {
		return daysOfWeek;
	}

	public void setDaysOfWeek(List<TermType> daysOfWeek) {
		this.daysOfWeek = daysOfWeek;
	}

	public TermType getDayOfWeek() {
		return dayOfWeek;
	}

	public void setDayOfWeek(TermType dayOfWeek) {
		this.dayOfWeek = dayOfWeek;
	}

	public String getCronExpression() {
		return cronExpression;
	}

	public void setCronExpression(String cronExpression) {
		this.cronExpression = cronExpression;
	}

	public String getFriendlyDescription() {
		return friendlyDescription;
	}

	public void setFriendlyDescription(String friendlyDescription) {
		this.friendlyDescription = friendlyDescription;
	}

	public FormattedDateForm getNextFireTime() {
		return nextFireTime;
	}

	public void setNextFireTime(FormattedDateForm nextFireTime) {
		this.nextFireTime = nextFireTime;
	}
}
