<%@ include file="inc_header.jsp"%>

<link rel="stylesheet" href="css/roleEdit.css">


<style>
div#permissionsContainer div.ms-container {
	width: 600px;
}
</style>

<script type="text/javascript" src="scripts/roleEdit.js"></script>
<%@ include file="inc_errors.jsp" %>

<form:form id="roleForm" action="roleEdit.html" method="post" onsubmit="return validateForm()">
	<div id="roleEditContainer">
		<table>
			<tr valign="top">
				<td align="right">Role Name:<span class="invisibleRequiredFor508">*</span></td>
				<td><h2 class="required">*</h2></td>
				<td><form:input path="name" size="20" alt="Role Name required field"/></td>
			</tr>
			<tr valign="top">
				<td align="right">Description:<span class="invisibleRequiredFor508">*</span></td>
				<td><h2 class="required">*</h2></td>
				<td><form:textarea path="description" rows="4" cols="70" alt="Description required field"/></td>
			</tr>			
			<tr valign="top">
			<td>Permissions:</td>
			<td>&nbsp;</td>
			<td><div id="permissionsContainer">
				<form:checkboxes items="${permissionCheckBoxes}" path="selectedPermissions" id="permissionsSelect"/>

				</div></td>
			</tr>
		
		
		</table>
		<input type="submit" class="submitAnchor" value="Submit" />
		<button type="button" onclick="javascript:resetForm()">Reset</button>
		<button type="button" onclick="javascript:cancelRoleUpdate()">Cancel</button>		
	</div>
</form:form>