package gov.va.med.ccht.ui.common.command {
	import mx.collections.ArrayCollection;

	public class CCHTPermissions {		
		public static const MANAGE_USERS:String = "Manage Users";
		public static const MANAGE_ROLES:String = "Manage Roles";
		public static const MANAGE_BATCH_JOBS:String = "Manage Batch Jobs";
		public static const MANAGE_REGISTRATIONS:String = "Manage Registrations";		
		public static const SUMMARY_DEVICE_INVENTORY_REPORTS:String = "Summary Device Inventory Reports";
		public static const SUMMARY_DEVICE_STATUS_REPORTS:String = "Summary Device Status Reports";
		public static const VENDOR_COMPLIANCE_REPORTS:String = "Vendor Compliance Reports";
		public static const SEARCH_DEVICE_BY_SERIAL_NUMBER:String = "Search Device By Serial Number";
		public static const SEARCH_DEVICE_BY_ACTIVATION_DATE:String = "Search Device By Activation Date";
		public static const SAERCH_DEVICE_BY_PATIENT:String = "Search Device By Patient";
		public static const SEARCH_DEVICE_BY_STATUS:String = "Search Device By Status";
		public static const MANGE_DEVICE_STATUS:String = "Manage Device Status";
		public static const MANGE_DEVICE_SHORTAGE:String = "Manage Device Shortage";
		
		public static const SUMMARY_DEV_FAILURE_REPORTS:String = "Summary Device Failure Rate Reports";
		public static const SUMMARY_DEV_INVENTORY_REPORTS:String = "Summary Device Inventory Reports";
		public static const SUMMARY_DEV_SHORTAGE_REPORTS:String = "Summary Device Shortage Reports";
		public static const SUMMARY_DEV_STATUS_REPORTS:String = "Summary Device Status Reports";
		
		public static const INVENTORY_REPORT_PERMISSIONS:Array = new Array(SUMMARY_DEV_FAILURE_REPORTS, 
			SUMMARY_DEV_INVENTORY_REPORTS, SUMMARY_DEV_SHORTAGE_REPORTS, SUMMARY_DEV_STATUS_REPORTS);
		//dmp
		public static const DMP:String="DMP Contributor";
		public static const CREATE_DMP:String="Create DMP";
		public static const UPDATE_DMP:String="Update DMP";
		public static const READ_DMP:String="Read DMP";
		
		//qir
		public static const CREATE_QIR:String = "Create QIR";
		public static const UPDATE_QIR:String = "Update QIR";
		public static const READ_QIR:String = "Read QIR";
		public static const APPROVE_QIR:String = "Approve QIR";
		public static const CLOSE_QIR:String = "Close QIR";
		public static const WITHDRAW_QIR:String = "Withdraw QIR";
		public static const REPLY_QIR:String = "Reply QIR";
		public static const AGREE_QIR:String = "Agree QIR";
		public static const QIR_UPDATE_PERMISSIONS:Array = 
			new Array(CREATE_QIR, UPDATE_QIR, APPROVE_QIR, CLOSE_QIR, WITHDRAW_QIR, REPLY_QIR, AGREE_QIR);
		
		//admin role names
		public static const NATIONAL_ADMIN:String = "National Administrator";
		public static const VISN_ADMIN:String = "VISN Administrator";
		public static const FACILITY_ADMIN:String = "Facility Administrator";
		public static const APPLICATION_ADMIN:String = "Application Administrator";
		public static const DMP_ADMIN:String = "DMP Administrator";
		public static const MANAGEMENT:String = "Management";
		public static const VENDOR:String = "Vendor";
		public static const NAC_POC:String = "NAC POC";
		public static const SYSTEM_ADMIN:String = "National Administrator";
		public static const DMP_REVIEWER:String = "DMP Reviewer";
		public static const OTS_CONTRACT_MANAGER:String = "OTS Contract Manager";
		public static const CARE_COORDINATOR:String = "Care Coordinator";
	}	
}
