/**
 * 
 */
package gov.va.med.fw.batchprocess;

import org.springframework.batch.core.Job;
import org.springframework.batch.core.configuration.JobLocator;
import org.springframework.batch.core.launch.NoSuchJobException;

import gov.va.med.fw.service.AbstractComponent;

/**
 * @author DNS   katikm
 * 
 */
public class BatchJobLocator extends AbstractComponent implements JobLocator {

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.springframework.batch.core.configuration.JobLocator#getJob(java.lang
	 * .String)
	 */
	public Job getJob(String jobName) throws NoSuchJobException {
		return (Job) getApplicationContext().getBean(jobName);
	}
}
