/********************************************************************
 * Copyriight 2005 VHA. All rights reserved
 ********************************************************************/

package gov.va.med.fw.batchprocess;

import java.io.File;
import java.util.List;

/**
 * Interface to be delegated to by instances of AbstractDataFileProcess after a
 * File is processed.
 * 
 * Created Feb 7, 2006 10:10:21 AM
 * 
 * @author DNS   BOHMEG
 */
public interface DataFileProcessCompletedHandler {
	public void fileProcessingComplete(File inputFile, List exceptionData);
}
