/**
 * 
 */
package gov.va.med.fw.model.batchprocess;

import java.util.Date;

import gov.va.med.fw.model.AbstractKeyedEntity;

/**
 * @author DNS   katikm
 * 
 */
public class BatchStepExecution extends AbstractKeyedEntity {

	private static final long serialVersionUID = 8444840894968668700L;

	private String stepName;
	private Date startDate;
	private Date endDate;
	private String status;
	private String exitStatus;
	private String exitMessage;
	private long commitCount;
	private long itemCount;
	private long readSkipCount;
	private long writeSkipCount;
	private long rollbackCount;
	private String continuable;

	public long getCommitCount() {
		return commitCount;
	}

	public void setCommitCount(long commitCount) {
		this.commitCount = commitCount;
	}

	public String getContinuable() {
		return continuable;
	}

	public void setContinuable(String continuable) {
		this.continuable = continuable;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	public String getExitMessage() {
		return exitMessage;
	}

	public void setExitMessage(String exitMessage) {
		this.exitMessage = exitMessage;
	}

	public String getExitStatus() {
		return exitStatus;
	}

	public void setExitStatus(String exitStatus) {
		this.exitStatus = exitStatus;
	}

	public long getItemCount() {
		return itemCount;
	}

	public void setItemCount(long itemCount) {
		this.itemCount = itemCount;
	}

	public long getReadSkipCount() {
		return readSkipCount;
	}

	public void setReadSkipCount(long readSkipCount) {
		this.readSkipCount = readSkipCount;
	}

	public long getRollbackCount() {
		return rollbackCount;
	}

	public void setRollbackCount(long rollbackCount) {
		this.rollbackCount = rollbackCount;
	}

	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getStepName() {
		return stepName;
	}

	public void setStepName(String stepName) {
		this.stepName = stepName;
	}

	public long getWriteSkipCount() {
		return writeSkipCount;
	}

	public void setWriteSkipCount(long writeSkipCount) {
		this.writeSkipCount = writeSkipCount;
	}
}
