/**
 * 
 */
package gov.va.med.fw.report.excelreport;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @author DNS   katikm
 * 
 */
public class ExcelReport implements Serializable {

	private static final long serialVersionUID = -7036323661570297421L;

	private List<ExcelReportColumn> columns;
	private String reportTitle;
	private String excelTemplateFileName;
	private Boolean filterSummaryRows = true;
	private Map<String, ExcelReportCell> summaryRowCells;
	private List<String> footNotes;

	public List<ExcelReportColumn> getColumns() {
		return columns == null ? new ArrayList<ExcelReportColumn>() : columns;
	}

	public void setColumns(List<ExcelReportColumn> columns) {
		this.columns = columns;
	}

	public String getExcelTemplateFileName() {
		return excelTemplateFileName;
	}

	public void setExcelTemplateFileName(String excelTemplateFileName) {
		this.excelTemplateFileName = excelTemplateFileName;
	}

	public String getReportTitle() {
		return reportTitle == null ? "" : reportTitle;
	}

	public void setReportTitle(String reportTitle) {
		this.reportTitle = reportTitle;
	}

	public Boolean getFilterSummaryRows() {
		return filterSummaryRows;
	}

	public void setFilterSummaryRows(Boolean filterSummaryRows) {
		this.filterSummaryRows = filterSummaryRows;
	}

	public Map<String, ExcelReportCell> getSummaryRowCells() {
		return summaryRowCells;
	}

	public void setSummaryRowCells(Map<String, ExcelReportCell> summaryRowCells) {
		this.summaryRowCells = summaryRowCells;
	}
	
	public List<String> getFootNotes() {
		return footNotes == null ? new ArrayList<String>() : footNotes;
	}

	public void setFootNotes(List<String> footNotes) {
		this.footNotes = footNotes;
	}
}
