/********************************************************************
 * Copyriight 2008 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.fw.rule;

import gov.va.med.fw.model.AbstractEntity;

import java.io.Serializable;

/**
 * @author DNS   katikm
 * 
 */
public class Match<T extends AbstractEntity> implements Serializable {

	private static final long serialVersionUID = 8137252017045903727L;

	private T source;
	private T target;

	public Match() {
	}

	public Match(T source, T target) {
		this.source = source;
		this.target = target;
	}

	/**
	 * @return the source
	 */
	public T getSource() {
		return source;
	}

	/**
	 * @param source
	 *            the source to set
	 */
	public void setSource(T source) {
		this.source = source;
	}

	/**
	 * @return the target
	 */
	public T getTarget() {
		return target;
	}

	/**
	 * @param target
	 *            the target to set
	 */
	public void setTarget(T target) {
		this.target = target;
	}
}
