/********************************************************************
 * Copyriight 2008 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.fw.rule;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import gov.va.med.fw.security.UserPrincipal;

/**
 * CISS - ciss_framework TODO: add content here
 * 
 * Jan 12, 2009
 * 
 * @author DNS   BOHMEG
 */
public class SimpleRuleData implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 0L;

	private UserPrincipal userPrincipal;

	// The intended action
	private String action;

	private List<String> errors = new ArrayList<String>();

	private List<String> warnings = new ArrayList<String>();

	private List<Object> output = new ArrayList<Object>();

	public String getAction() {
		return action;
	}

	public void setAction(String action) {
		this.action = action;
	}

	/**
	 * @return the errors
	 */
	public List<String> getErrors() {
		return errors;
	}

	/**
	 * @param errors
	 *            the errors to set
	 */
	public void setErrors(List<String> errors) {
		this.errors = errors;
	}

	/**
	 * @return the output
	 */
	public List<Object> getOutput() {
		return output;
	}

	/**
	 * @param output
	 *            the output to set
	 */
	public void setOutput(List<Object> output) {
		this.output = output;
	}

	/**
	 * @return the userPrincipal
	 */
	public UserPrincipal getUserPrincipal() {
		return userPrincipal;
	}

	/**
	 * @param userPrincipal
	 *            the userPrincipal to set
	 */
	public void setUserPrincipal(UserPrincipal userPrincipal) {
		this.userPrincipal = userPrincipal;
	}

	/**
	 * @return the warnings
	 */
	public List<String> getWarnings() {
		return warnings;
	}

	/**
	 * @param warnings
	 *            the warnings to set
	 */
	public void setWarnings(List<String> warnings) {
		this.warnings = warnings;
	}

}
