/********************************************************************
 * Copyriight 2006 VHA. All rights reserved
 ********************************************************************/

package gov.va.med.fw.service.support;

import org.aopalliance.intercept.MethodInvocation;

import gov.va.med.fw.service.AbstractComponent;

/**
 * Decorates MethodInvocation for spawned thread usage.
 * 
 * Created Apr 11, 2006 1:51:14 PM
 * 
 * @author DNS   BOHMEG
 */
public class SpawnedMethodInvocation extends AbstractComponent implements SpawnedThreadTask {

	private MethodInvocation mi;

	public SpawnedMethodInvocation(MethodInvocation mi) {
		this.mi = mi;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see gov.va.med.fw.service.support.SpawnedThreadTask#execute()
	 */
	public Object execute() throws Throwable {
		return mi.proceed();
	}
}
