package gov.va.med.fw.ui.model;

import java.util.Set;

import gov.va.med.fw.model.AbstractKeyedEntity;

public class Form {

	private String id;
	private String versionNumber;
	private Set<TermType> regionVersionNumber;
	private String modifiedBy;

	public Form() {
	}

	protected Form(AbstractKeyedEntity<?> entity) {
		this.id = entity.getId() == null ? null : String.valueOf(entity.getId());
		this.versionNumber = entity.getVersion() == null ? null : String.valueOf(entity.getVersion());
		this.modifiedBy = entity.getModifiedBy() == null ? null : entity.getModifiedBy().getChangeUser();
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getVersionNumber() {
		return versionNumber;
	}

	public void setVersionNumber(String versionNumber) {
		this.versionNumber = versionNumber;
	}

	public Set<TermType> getRegionVersionNumber() {
		return regionVersionNumber;
	}

	public void setRegionVersionNumber(Set<TermType> regionVersionNumber) {
		this.regionVersionNumber = regionVersionNumber;
	}

	public String getModifiedBy() {
		return modifiedBy;
	}

	public void setModifiedBy(String modifiedBy) {
		this.modifiedBy = modifiedBy;
	}
}
