/********************************************************************
 * Copyriight 2008 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.fw.util.date;

import javax.security.auth.login.LoginException;

/**
 * CISS - ciss_framework TODO: add content here
 * 
 * Sep 29, 2008
 * 
 * @author DNS   BOHMEG
 */
public class TimeZoneException extends LoginException {
	/**
	 * 
	 */
	private static final long serialVersionUID = 2463426323305414523L;
	private int incomingTimeZoneOffset;
	private int persistentTimeZoneOffset;

	public TimeZoneException(int incomingTimeZoneOffset, int persistentTimeZoneOffset) {
		this.incomingTimeZoneOffset = incomingTimeZoneOffset;
		this.persistentTimeZoneOffset = persistentTimeZoneOffset;
	}

	/**
	 * @return the incomingTimeZoneOffset
	 */
	public int getIncomingTimeZoneOffset() {
		return incomingTimeZoneOffset;
	}

	/**
	 * @param incomingTimeZoneOffset
	 *            the incomingTimeZoneOffset to set
	 */
	public void setIncomingTimeZoneOffset(int incomingTimeZoneOffset) {
		this.incomingTimeZoneOffset = incomingTimeZoneOffset;
	}

	/**
	 * @return the persistentTimeZoneOffset
	 */
	public int getPersistentTimeZoneOffset() {
		return persistentTimeZoneOffset;
	}

	/**
	 * @param persistentTimeZoneOffset
	 *            the persistentTimeZoneOffset to set
	 */
	public void setPersistentTimeZoneOffset(int persistentTimeZoneOffset) {
		this.persistentTimeZoneOffset = persistentTimeZoneOffset;
	}
}
