<%@ include file="inc_header.jsp"%>

<c:set var="minifiedSuffix" value="" />
<c:if test="${useMinifiedDependencies}">
	<c:set var="minifiedSuffix" value=".min" />
</c:if>

<link rel="stylesheet" type="text/css"
	href="packages/DataTables/DataTables-1.10.12/css/dataTables.jqueryui${minifiedSuffix}.css" />
<link rel="stylesheet" type="text/css"
	href="packages/DataTables/jQueryUI-1.11.4/jquery-ui.css" />
<link rel="stylesheet" type="text/css"
	href="packages/DataTables/Select-1.2.0/css/select.jqueryui${minifiedSuffix}.css" />

<link rel="stylesheet" href="loudev/css/multi-select.css">
<link rel="stylesheet" href="css/styles.css">
<link rel="stylesheet" href="css/footerNew.css">
<link rel="stylesheet" href="css/menustyle.css">
<link rel="stylesheet" href="loudev/css/multi-select.css">
<link rel="stylesheet" href="css/error.css">

<script type="text/javascript"
	src="packages/DataTables/jQuery-1.12.3/jquery-1.12.3${minifiedSuffix}.js"></script>
<script type="text/javascript" src="loudev/js/jquery.multi-select.js"></script>
<script type="text/javascript"
	src="packages/DataTables/jQueryUI-1.11.4/jquery-ui${minifiedSuffix}.js"></script>
<script type="text/javascript"
	src="packages/DataTables/DataTables-1.10.12/js/jquery.dataTables${minifiedSuffix}.js"></script>
<script type="text/javascript"
	src="packages/DataTables/DataTables-1.10.12/js/dataTables.jqueryui${minifiedSuffix}.js"></script>
<script type="text/javascript"
	src="packages/DataTables/Select-1.2.0/js/dataTables.select${minifiedSuffix}.js"></script>
<script type="text/javascript"
	src="scripts/jquery-accessibleMegaMenu.js"></script>

<script src="scripts/expandPanel.js"></script>
<script src="scripts/jquery.topzindex.js"></script>

<script src="scripts/ccht.js"></script>
<script src="scripts/cchtmenu.js"></script>

<%@ include file="inc_attentionDialog.jsp"%>
<%@ include file="inc_confirmationDialog.jsp" %>
<%@ include file="inc_spinner.jsp"%>

<script type="text/javascript">
	$(function() {
		$("a.buttonAnchor, .submitAnchor, button").button()
	})

	function commonAjaxErrorHandler(jqXHR, textStatus, errorThrown) {
		var errorText = errorThrown
		var details = null
		if (jqXHR.status == 404 || jqXHR.status == 0) {
			errorText = 'The server is offline or could not be contacted.'
		} else if (jqXHR.status == 403) {
			errorText = 'Your request was denied, possibly due to a session timeout or server restart. Please logout and login again.'
		} else if (jqXHR.responseJSON) {
			var ar = jqXHR.responseJSON.ajaxResult
			if (ar) {
				errorText = ar.statusMessage
				details = ar.statusDetails
			}
		} else if (jqXHR.responseText) {
			details = jqXHR.responseText
		}

		if (errorText == null)
			errorText = 'Unknown error'

		displayAttentionDialog(errorText, details, 'Error')
	}

	function doubleClickSafeguard(jqueryObjToDisable, timeout,
			timeoutExpiredCallback) {
		jqueryObjToDisable.button("option", "disabled", true)
		var finalTimeout = timeout ? timeout : 3000
		setTimeout(function() {
			jqueryObjToDisable.button("option", "disabled", false)
		}, finalTimeout)
		if (timeoutExpiredCallback) {
			setTimeout(timeoutExpiredCallback, finalTimeout)
		}
	}
	
	function escapeHTML(theVal) {
		if (theVal == null) return null
		theVal = $('<div />').text(theVal).html()
		theVal = theVal.replace(/\"/g,"&quot;")
		theVal = theVal.replace(/\'/g,"&#39;")
		return theVal
	}
	
	function validateDate(date) {
		// validate date format mm/dd/yyyy
		var dateCheck = /^([0][1-9]|[1][0-2])\/([0][1-9]|[1-2]\d|[3][0-1])\/([2][01]|[1][6-9])\d{2}(\s([0]\d|[1]\d|[2][0-3])(\:[0-5]\d){1,2})*\s*$/
		return dateCheck.test(date);
	}
	
	function isNormalInteger(str) {
	    var n = ~~Number(str);
	    return String(n) === str && n >= 0;
	}
	
	function isValidDayOfMonthNum(str) {
		if (!isNormalInteger(str)) return false
		var n = ~~Number(str)
		return n > 0 && n <= 31
	}
</script>



