<%@ page session="false" contentType="text/html; charset=UTF-8" %>
<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html lang="en">
<head>
	<title>IHTA Login</title>
	<meta http-equiv="CACHE-CONTROL" content="NO-CACHE">
<META HTTP-EQUIV="Pragma" CONTENT="no-cache"></META>
	<link rel="stylesheet" href="/ccht/stylesheets/reset-fonts-grids.css" type="text/css">
	<link rel="stylesheet" href="/ccht/stylesheets/ccht-global-style.css" type="text/css">
	<link rel="stylesheet" href="/ccht/stylesheets/login.css" type="text/css">
	<link rel="shortcut icon" href="/ccht/images/ihta_logo.png" type="image/x-icon">
	<script type="text/javascript">
		function setFocus(id)
		{
			document.getElementById(id).focus();		
		}
		function autoDetectUserTimeZone() {
			// since this approach is accounting for Daylight Saving time, this function is recommended

			var rightNow = new Date();

			// Daylight Saving time occurs during the summer, so compare Jan 1 to June 1
			var date1 = new Date(rightNow.getFullYear(), 0, 1, 0, 0, 0, 0);
			var date2 = new Date(rightNow.getFullYear(), 6, 1, 0, 0, 0, 0);
			var temp = date1.toGMTString();
			var date3 = new Date(temp.substring(0, temp.lastIndexOf(" ")-1));
			var temp = date2.toGMTString();
			var date4 = new Date(temp.substring(0, temp.lastIndexOf(" ")-1));
			var hoursDiffStdTime = (date1 - date3) / (1000 * 60 * 60);
			var hoursDiffDaylightTime = (date2 - date4) / (1000 * 60 * 60);
			if (hoursDiffDaylightTime == hoursDiffStdTime) {
				document.loginForm.autoDetectedUserTimeZoneObservesDaylightSaving.value=false;
				//alert("Time zone is GMT" + hoursDiffStdTime + ".\nDaylight Saving Time is NOT observed here.");
			} else {
				// must account for hemispheres....positive is southern, negative is northern hemisphere
				var hemisphere = hoursDiffStdTime - hoursDiffDaylightTime;
				if (hemisphere >= 0) {
					hoursDiffStdTime = hoursDiffDaylightTime;
				}
			
				document.loginForm.autoDetectedUserTimeZoneObservesDaylightSaving.value=true;
				//alert("Time zone is GMT" + hoursDiffStdTime + ".\nDaylight Saving Time is observed here.");
			}

			document.loginForm.autoDetectedUserTimeZoneRawOffsetWithoutDaylightSaving.value=hoursDiffStdTime;
		}
		
		function performOnLoad(){
			if (document.getElementsByClassName) {
				var errorParent = document.getElementsByClassName('errorLink')[0];
				var errors = document.getElementsByClassName('errorMessage')
				if (errors && errors.length>1) {
					errorParent.focus();
				} else {	
					setFocus('username');
				}
			} else {	
				setFocus('username');
			}
		} 
			
	</script>
</head>
	<body onload="setTimeout('performOnLoad()', 200)">
	<div id="doc4">
		<div id="hd">
			<jsp:include page="ccht_header.jsp"/>
		</div>
		<div id="bd">
			<table width="100%" border="0">
			<!-- 
			    <tr>
					<td align="left" class="section_title" width="100%" nowrap>
						IHTA Login
					</td>			    	
			    </tr>
			     -->
			    <tr>
			    	<td align="center" valign="top">
					  <table align="left" width="100%" border="0" cellpadding="0" cellspacing="3">
						<tr><td><img src="/ccht/images/spacer.gif" height="3" alt=""></td></tr>
					    <tr>
							<td align="left" valign="top"><span class="bodyTextBold">Please enter your User Name and Password to login.</span></td>
					    </tr>
					    <tr>
							<td align="left" valign="top">
								<table align="left" border="0" cellpadding="0" cellspacing="0">
								  <tr>
								      <td class="error">
					      		      	<a href=# class="errorLink">
											<span class="errorMessage" id="error">
												<s:actionerror />	
												<s:actionmessage/>
								      		</span>
							      		</a>
								      </td>
								  </tr>
								</table>
							</td>
					    </tr>
						<tr><td><img src="/ccht/images/spacer.gif" height="3" alt=""></td></tr>
					    <tr>
							<td align="left" valign="top">
								<s:form action="login.action" theme="simple" name="loginForm" onsubmit="autoDetectUserTimeZone();">
								    <table width="100%" border="2" cellpadding="0" cellspacing="0">
								   
									<tr>
										<td>
									    <table width="100%" border="0" cellpadding="0" cellspacing="5">
									    <tr>
									    <div class="welcomeImageContainer">
									    <img class="welcomeImage" src="/ccht/images/InventoryTracker.jpg"
										alt="Graphic of Tele Health Services with text" tabindex="0">
									    </div>
									    <div class="welcomDescriptionContainer">								    
									    <p class="welcomeDescription" tabindex="0">IHTA is a Web-based portal application sponsored by the Veterans Health Administration (VHA), Telehealth Services. 
									    IHTA is designed to provide a flexible, maintainable, and resilient platform for
									    Home Telehealth business functions. Each business function supported by
									    IHTA is constructed as an application module of IHTA. Current modules
									    include: <b>Manage QIR</b> functionality, <b>Home Telehealth (HT) Reports</b> and <b>Administration</b>.</p>
									    </div>
									   
									    </tr>
										<tr>
											<td align="right" width="50%" height="25" valign="middle"><span class="bodyTextBold">User Name :&nbsp;</span><span class="requiredField">*&nbsp;</span></td>
											<td align="left" width="50%" height="25" valign="middle"><s:textfield id="username" name="username" cssClass="bodyText" size="20" />						
												<s:hidden name="autoDetectedUserTimeZoneRawOffsetWithoutDaylightSaving"/>
												<s:hidden name="autoDetectedUserTimeZoneObservesDaylightSaving" />	
												<s:hidden name="loginSubmit" value="true"/>
											</td>
										</tr>
										<tr>
											<td align="right" width="50%" height="25" valign="middle"><span class="bodyTextBold">Password :&nbsp;</span><span class="requiredField">*&nbsp;</span></td>
											<td align="left" width="50%" height="25" valign="middle"><s:password id="username" name="password" cssClass="bodyText" size="20" />						
										</tr>
										<tr>	
											<td align="right" width="50%" valign="middle" style="padding-top: 5px;" nowrap>
												<input type="image" src="/ccht/images/btn_login.jpg" alt="Login"/>
											</td>
											<td align="left" width="50%" valign="middle" style="padding-top: 5px;" nowrap>
												<a href="/ccht/login.action"><img src="/ccht/images/btn_reset.jpg" alt="Reset"/></a>
											</td>					
										</tr>
									    </table>
										</td>
									</tr>
									</table>
							    </s:form>
							</td>
					     </tr>
					  </table>
			      	</td>
			      </tr>
 				  <tr><td><img src="/ccht/images/spacer.gif" alt="" height="3"></td></tr>
			      <tr>
					<td align="center" valign="middle">
						<p> New User? &nbsp;<a href="/ccht/register.action">Register Here</a></p>
						<p><a href="/help/main/index.html" target="_blank">Troubleshooting Login Issues?</a>
					</td>
			      </tr>
			      <tr>
				    <td align="left" valign="top">
					<table width="90%" border="0" cellSpacing="0" cellPadding="0">
					  <tr>
					    <td class="bodyTextSmall">
						<strong>Integrated Home Telehealth Application User Agreement</strong>
						<br><br>
						Users are prohibited from allowing ANYONE to use their User Name/Password codes.
						<br><br>
						<strong>WARNING</strong> - This system may contain Government information which is restricted to authorized users ONLY. Unauthorized access, use, misuse, or modification of this computer system or of the data contained herein or in transit to/from this system constitutes a violation of Title 18, United States Code, Section 1030, and may subject the individual to Criminal and Civil penalties pursuant to Title 26, United States Code, Sections 7213(a), 7213A (the Taxpayer Browsing Protection Act), and 7431. This system and equipment are subject to monitoring to ensure proper performance of applicable security features or procedures. Such monitoring may result in the acquisition, recording and analysis of all data being communicated, transmitted, processed or stored in this system by a user. If monitoring reveals possible evidence of criminal activity, such evidence may be provided to Law Enforcement Personnel.
						<br><br>
						<strong>ANYONE USING THIS SYSTEM EXPRESSLY CONSENTS TO SUCH MONITORING.</strong>
					    </td>
					  </tr>
					</table>
				    </td>
			      </tr>
			  </table> 
		</div>
		<div id="ft">
			<jsp:include page="ccht_footer.jsp"/>
		</div>	 
	</div>   
	</body>
</html>