$(function() {
	$('#permissionSelect').multiSelect({
		selectableHeader : "<div class='custom-header'>Available</div>",
		selectionHeader : "<div class='custom-header'>Assigned<b>*</b></div>"
	})
})

function validateForm() {
	var errors = new Array()
	
	if ($.trim($("#name").val()) == '') {
		errors.push('Role Name is required.')
	} else if ($("#name").val().length < 5) {
		errors.push('Role Name must be at least 5 characters long.')
	}
	
	if ($.trim($("#description").val()) == '') {
		errors.push('Description is required.')
	}  else if ($("#description").val().length < 5) {
		errors.push('Description must be at least 5 characters long.')
	}
	
	if (errors.length > 0) {
		displayAttentionDialog("Please correct the following errors: <ul><li>"
				+ errors.join("</li><li>") + "</li></ul>");
		return false
	}
	
	var selectedValsArr = $("#permissionSelect").val()
	if (selectedValsArr == null) {
		confirmDialog('Do you want to save this role without assigning any permissions?', function() {
			$("#roleForm")[0].submit()
		})
		return false
	}
	
	return true
}

function cancelRoleUpdate() {
	confirmDialog('All of the unsaved data will be lost. Do you still want to cancel?', function() {
		document.location.href = 'roleSelect.html'
	})
}

function resetForm() {
	location.reload()
}