function hide(id) {
	document.getElementById(id).style.display = 'none';
}
function logoutConfirm() {
	var confirmMessage = "Changes that are not saved will be lost!  \n\n Do you want to logout ?";
	return confirm(confirmMessage);
}

function autoLogout() {
	document.logoutform.submit();
}

function setFlexAppHeight(newHeight) {
	if (window.document.CCHT) {
		window.document.CCHT.height = newHeight;
		scrollToTop();
	}
}

function setFocus() {
	// Bring the window back to front
	window.focus();
}
function setFocusToCchtMovie() {
	if (window.document.CCHT) {
		window.document.CCHT.focus();
		scrollToTop();
	}
}

function scrollToTop() {
	window.scrollTo(0, 0);
}

function expandOrCollapseIt(elementName) {
	var whichEl = document.getElementById(elementName);
	if (whichEl != null) {
		whichEl.style.display = (whichEl.style.display == "inline") ? "none"
				: "inline";
	}
}

function loadMovi() {

	File = "movi.exe";
	WSH = new ActiveXObject("WScript.Shell");
	WSH.run(File);
}
function autoDetectUserTimeZoneSimple() {
	// since this approach is not accounting for Daylight Saving time, this
	// function is NOT recommended

	var rightNow = new Date();

	var tz = visitortime.getTimezoneOffset() / 60 * -1;
	// alert("Time zone is GMT" + tz);
	document.loginForm.autoDetectedUserTimeZoneRawOffsetWithoutDaylightSaving.value = tz;
}

function autoDetectUserTimeZone() {
	// since this approach is accounting for Daylight Saving time, this function
	// is recommended

	var rightNow = new Date();

	// Daylight Saving time occurs during the summer, so compare Jan 1 to June 1
	var date1 = new Date(rightNow.getFullYear(), 0, 1, 0, 0, 0, 0);
	var date2 = new Date(rightNow.getFullYear(), 6, 1, 0, 0, 0, 0);
	var temp = date1.toGMTString();
	var date3 = new Date(temp.substring(0, temp.lastIndexOf(" ") - 1));
	var temp = date2.toGMTString();
	var date4 = new Date(temp.substring(0, temp.lastIndexOf(" ") - 1));
	var hoursDiffStdTime = (date1 - date3) / (1000 * 60 * 60);
	var hoursDiffDaylightTime = (date2 - date4) / (1000 * 60 * 60);
	if (hoursDiffDaylightTime == hoursDiffStdTime) {
		document.loginForm.autoDetectedUserTimeZoneObservesDaylightSaving.value = false;
		// alert("Time zone is GMT" + hoursDiffStdTime + ".\nDaylight Saving
		// Time is NOT observed here.");
	} else {
		// must account for hemispheres....positive is southern, negative is
		// northern hemisphere
		var hemisphere = hoursDiffStdTime - hoursDiffDaylightTime;
		if (hemisphere >= 0) {
			hoursDiffStdTime = hoursDiffDaylightTime;
		}

		document.loginForm.autoDetectedUserTimeZoneObservesDaylightSaving.value = true;
		// alert("Time zone is GMT" + hoursDiffStdTime + ".\nDaylight Saving
		// Time is observed here.");
	}

	document.loginForm.autoDetectedUserTimeZoneRawOffsetWithoutDaylightSaving.value = hoursDiffStdTime;
}

function loginClicked() {
	document.loginForm.loginSubmit.value = true;
}

function setUIFocus() {
	if (document.getElementById('error').firstChild) {
		document.getElementById('error').firstChild.focus();
	} else {
		document.loginForm.username.focus();
	}
}